# 自定义样式

- order: 5

可以通过`listStyle`，`listClassName`来定制组件宽高。

:::lang=en-us
# Customize Style

- order: 5

You can customize the component width and height with `listStyle` and `listClassName`.
:::

---

````jsx
import { Cascader } from '@alifd/next';

const dataSource = [{
    value: '2973',
    label: '陕西',
    children: [{
        value: '2974',
        label: '西安',
        children: [
            { value: '2975', label: '西安市' },
            { value: '2976', label: '高陵县' }
        ]
    }, {
        value: '2980',
        label: '铜川',
        children: [
            { value: '2981', label: '铜川市' },
            { value: '2982', label: '宜君县' }
        ]
    }]
}, {
    value: '3371',
    label: '新疆',
    children: [{
        value: '3430',
        label: '巴音郭楞蒙古自治州',
        children: [
            { value: '3431', label: '库尔勒市' },
            { value: '3432', label: '和静县' }
        ]
    }]
}];

ReactDOM.render(<Cascader defaultValue="3439" defaultExpandedValue={['3371', '3430']} listStyle={{ width: '200px', height: '256px' }} dataSource={dataSource} />, mountNode);
````
