{"title":"展开收起动画","meta":{"title":"展开收起动画","description":"\n<p>展示单个子元素的展开收起动画。</p>\n","order":"2"},"codes":{"jsx":"import { Animate } from '@alifd/next';\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = { expand: true };\n        ['beforeEnter', 'onEnter', 'afterEnter', 'beforeLeave', 'onLeave', 'afterLeave', 'handleToggle'].forEach(method => {\n            this[method] = this[method].bind(this);\n        });\n    }\n\n    handleToggle() {\n        this.setState({\n            expand: !this.state.expand\n        });\n    }\n\n    beforeEnter(node) {\n        this.height = node.offsetHeight;\n        node.style.height = '0px';\n    }\n\n    onEnter(node) {\n        node.style.height = `${this.height}px`;\n    }\n\n    afterEnter(node) {\n        this.height = null;\n        node.style.height = null;\n    }\n\n    beforeLeave(node) {\n        node.style.height = `${this.height}px`;\n    }\n\n    onLeave(node) {\n        node.style.height = '0px';\n    }\n\n    afterLeave(node) {\n        node.style.height = null;\n    }\n\n    render() {\n        return (\n            <div>\n                <button onClick={this.handleToggle}>Toggle expand</button>\n                <Animate animation=\"expand\"\n                    beforeEnter={this.beforeEnter}\n                    onEnter={this.onEnter}\n                    afterEnter={this.afterEnter}\n                    beforeLeave={this.beforeLeave}\n                    onLeave={this.onLeave}\n                    afterLeave={this.afterLeave}>\n                    {this.state.expand ?\n                        <div className=\"notice\"></div> :\n                        null}\n                </Animate>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".expand-enter {\n    overflow: hidden;\n}\n\n.expand-enter-active {\n    transition: height 0.3s ease-out;\n}\n\n.expand-leave {\n    overflow: hidden;\n}\n\n.expand-leave-active {\n    transition: height 0.3s ease-out;\n}\n\n.notice {\n    width: 200px;\n    height: 100px;\n    margin-top: 20px;\n    border: 1px solid #ccc;\n}\n"},"body":"\n\n````jsx\nimport { Animate } from '@alifd/next';\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = { expand: true };\n        ['beforeEnter', 'onEnter', 'afterEnter', 'beforeLeave', 'onLeave', 'afterLeave', 'handleToggle'].forEach(method => {\n            this[method] = this[method].bind(this);\n        });\n    }\n\n    handleToggle() {\n        this.setState({\n            expand: !this.state.expand\n        });\n    }\n\n    beforeEnter(node) {\n        this.height = node.offsetHeight;\n        node.style.height = '0px';\n    }\n\n    onEnter(node) {\n        node.style.height = `${this.height}px`;\n    }\n\n    afterEnter(node) {\n        this.height = null;\n        node.style.height = null;\n    }\n\n    beforeLeave(node) {\n        node.style.height = `${this.height}px`;\n    }\n\n    onLeave(node) {\n        node.style.height = '0px';\n    }\n\n    afterLeave(node) {\n        node.style.height = null;\n    }\n\n    render() {\n        return (\n            <div>\n                <button onClick={this.handleToggle}>Toggle expand</button>\n                <Animate animation=\"expand\"\n                    beforeEnter={this.beforeEnter}\n                    onEnter={this.onEnter}\n                    afterEnter={this.afterEnter}\n                    beforeLeave={this.beforeLeave}\n                    onLeave={this.onLeave}\n                    afterLeave={this.afterLeave}>\n                    {this.state.expand ?\n                        <div className=\"notice\"></div> :\n                        null}\n                </Animate>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.expand-enter {\n    overflow: hidden;\n}\n\n.expand-enter-active {\n    transition: height 0.3s ease-out;\n}\n\n.expand-leave {\n    overflow: hidden;\n}\n\n.expand-leave-active {\n    transition: height 0.3s ease-out;\n}\n\n.notice {\n    width: 200px;\n    height: 100px;\n    margin-top: 20px;\n    border: 1px solid #ccc;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = { expand: true };\n        ['beforeEnter', 'onEnter', 'afterEnter', 'beforeLeave', 'onLeave', 'afterLeave', 'handleToggle'].forEach(function (method) {\n            _this[method] = _this[method].bind(_this);\n        });\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleToggle',\n        value: function handleToggle() {\n            this.setState({\n                expand: !this.state.expand\n            });\n        }\n    }, {\n        key: 'beforeEnter',\n        value: function beforeEnter(node) {\n            this.height = node.offsetHeight;\n            node.style.height = '0px';\n        }\n    }, {\n        key: 'onEnter',\n        value: function onEnter(node) {\n            node.style.height = this.height + 'px';\n        }\n    }, {\n        key: 'afterEnter',\n        value: function afterEnter(node) {\n            this.height = null;\n            node.style.height = null;\n        }\n    }, {\n        key: 'beforeLeave',\n        value: function beforeLeave(node) {\n            node.style.height = this.height + 'px';\n        }\n    }, {\n        key: 'onLeave',\n        value: function onLeave(node) {\n            node.style.height = '0px';\n        }\n    }, {\n        key: 'afterLeave',\n        value: function afterLeave(node) {\n            node.style.height = null;\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'button',\n                    { onClick: this.handleToggle },\n                    'Toggle expand'\n                ),\n                React.createElement(\n                    _next.Animate,\n                    { animation: 'expand',\n                        beforeEnter: this.beforeEnter,\n                        onEnter: this.onEnter,\n                        afterEnter: this.afterEnter,\n                        beforeLeave: this.beforeLeave,\n                        onLeave: this.onLeave,\n                        afterLeave: this.afterLeave },\n                    this.state.expand ? React.createElement('div', { className: 'notice' }) : null\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Animate <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span> expand<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">[</span><span class=\"token string\">'beforeEnter'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'onEnter'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'afterEnter'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'beforeLeave'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'onLeave'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'afterLeave'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'handleToggle'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">method</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">[</span>method<span class=\"token punctuation\">]</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">[</span>method<span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleToggle</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            expand<span class=\"token punctuation\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>expand\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">beforeEnter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> node<span class=\"token punctuation\">.</span>offsetHeight<span class=\"token punctuation\">;</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token string\">'0px'</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onEnter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>height<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">px</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">afterEnter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">;</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">beforeLeave</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>height<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">px</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onLeave</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token string\">'0px'</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">afterLeave</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        node<span class=\"token punctuation\">.</span>style<span class=\"token punctuation\">.</span>height <span class=\"token operator\">=</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>button</span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleToggle<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Toggle expand</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>button</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Animate</span></span> <span class=\"token attr-name\">animation</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>expand<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">beforeEnter</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>beforeEnter<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onEnter</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onEnter<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">afterEnter</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>afterEnter<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">beforeLeave</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>beforeLeave<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onLeave</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onLeave<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">afterLeave</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>afterLeave<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>expand <span class=\"token operator\">?</span>\n                        <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>notice<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span> <span class=\"token punctuation\">:</span>\n                        <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Animate</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.expand-enter {\n    overflow: hidden;\n}\n\n.expand-enter-active {\n    transition: height 0.3s ease-out;\n}\n\n.expand-leave {\n    overflow: hidden;\n}\n\n.expand-leave-active {\n    transition: height 0.3s ease-out;\n}\n\n.notice {\n    width: 200px;\n    height: 100px;\n    margin-top: 20px;\n    border: 1px solid #ccc;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.expand-enter</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">overflow</span><span class=\"token punctuation\">:</span> hidden<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.expand-enter-active</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">transition</span><span class=\"token punctuation\">:</span> height 0.3s ease-out<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.expand-leave</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">overflow</span><span class=\"token punctuation\">:</span> hidden<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.expand-leave-active</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">transition</span><span class=\"token punctuation\">:</span> height 0.3s ease-out<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.notice</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 100px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid #ccc<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}