{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><ul>\n<li>Balloon is used when you hope to show auxiliary or help message during users&apos; interacting with the illustrated object (text, picture, input box, etc.).</li>\n<li>Particularly, Balloon.Tooltip is a simplified Balloon for displaying tip when hovered.</li>\n</ul>\n<h3 id=\"note\">Note<a href=\"#note\" class=\"anchor\">#</a></h3><ul>\n<li>When trigger is a custom React Component, it needs to pass through the onMouseEnter/onMouseLeave/onClick callback.</li>\n<li>This Component will be accessible when you pass id. We recommond you <code>&lt;Tooltip&gt;</code> for simple tip, <code>&lt;Balloon triggerType=&quot;click&quot;&gt;</code> for complex usage(e.g.nested with form). Don&apos;t use triggerType=&quot;focus&quot;, it&apos;s for Component internal use only.</li>\n</ul>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"balloon\">Balloon<a href=\"#balloon\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>type</td>\n<td>type of style<br><br><strong>option</strong>:<br>&apos;normal&apos;, &apos;primary&apos;</td>\n<td>Enum</td>\n<td>&apos;normal&apos;</td>\n</tr>\n<tr>\n<td>children</td>\n<td>content of popup layer</td>\n<td>any</td>\n<td>-</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>default visible state of popup</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>callback when visible state changes<br><br><strong>signature</strong>:<br>Function(visible: Boolean) =&gt; void<br><strong>parameter</strong>:<br><em>visible</em>: {Boolean} whether to show the popup</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>alignEdge</td>\n<td>whether align to the edge</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>closable</td>\n<td>whether to show the close button</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>align</td>\n<td>position of popup relative to the trigger<br><br><strong>option</strong>:<br>&apos;t&apos;(top)<br>&apos;r&apos;(right)<br>&apos;b&apos;(bottom)<br>&apos;l&apos;(left)<br>&apos;tl&apos;(top left)<br>&apos;tr&apos;(top right)<br>&apos;bl&apos;(bottom left)<br>&apos;br&apos;(bottom right)<br>&apos;lt&apos;(left top)<br>&apos;lb&apos;(left bottom)<br>&apos;rt&apos;(right top)<br>&apos;rb&apos;(right bottom) or their combinations</td>\n<td>Enum</td>\n<td>&apos;b&apos;</td>\n</tr>\n<tr>\n<td>offset</td>\n<td>extra adjustment for trigger element. e.g. [hoz, ver] means move to right ${hoz}px (to left in RTL mode), to bottom ${ver}px</td>\n<td>Array</td>\n<td>[0, 0]</td>\n</tr>\n<tr>\n<td>trigger</td>\n<td>trigger of the popup</td>\n<td>any</td>\n<td>&lt;span&gt;&lt;/span&gt;</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>how to trigger the popup. <br><br><strong>type unit</strong>:<br>&apos;hover&apos;<br>&apos;click&apos;<br> e.g.[&apos;hover&apos;, &apos;click&apos;]  &apos;click&apos;</td>\n<td>String/Array</td>\n<td>&apos;hover&apos;</td>\n</tr>\n<tr>\n<td>onClose</td>\n<td>callback triggered when visible becomes false<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>needAdjust</td>\n<td>whether to adjust the position automatically</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>delay</td>\n<td>how long should the popup be delayed after triggered in milliseconds</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>afterClose</td>\n<td>callback triggered when the popup is closed or the animation ends<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>shouldUpdatePosition</td>\n<td>whether to update the position of popup after the content changes</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>autoFocus</td>\n<td>whether to focus on the first element of popup on appearing</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>safeNode</td>\n<td>When triggetType is &apos;click&apos;, the popup will be closed if any area other than itself is clicked. safeNode is used to define the node which doesn&apos;t trigger the close action. It can be either dom or dom id</td>\n<td>String</td>\n<td>undefined</td>\n</tr>\n<tr>\n<td>safeId</td>\n<td>id of the safeNode, and should be used together with safeNode</td>\n<td>String</td>\n<td>null</td>\n</tr>\n<tr>\n<td>animation</td>\n<td>when should the animation be played</td>\n<td>Object/Boolean</td>\n<td>{     in: &apos;zoomIn&apos;,     out: &apos;zoomOut&apos; }</td>\n</tr>\n<tr>\n<td>cache</td>\n<td>whether to remove the popup when it&apos;s closed</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>popupContainer of the popup, being either dom id or a function to return the dom</td>\n<td>String/Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>custom style of popup</td>\n<td>Object</td>\n<td>{}</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>custom className of popup</td>\n<td>String</td>\n<td>&apos;&apos;</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>props of popup</td>\n<td>Object</td>\n<td>{}</td>\n</tr>\n<tr>\n<td>followTrigger</td>\n<td>follow Trigger or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>id</td>\n<td>id of popup. only when you set value, balloon will support accessibility</td>\n<td>String</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"balloon-tooltip\">Balloon.Tooltip<a href=\"#balloon-tooltip\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>children</td>\n<td>content of tooltip</td>\n<td>any</td>\n<td>-</td>\n</tr>\n<tr>\n<td>align</td>\n<td>position of popup relative to the trigger<br><br><strong>option</strong>:<br>&apos;t&apos;(top)<br>&apos;r&apos;(right)<br>&apos;b&apos;(bottom)<br>&apos;l&apos;(left)<br>&apos;tl&apos;(top left)<br>&apos;tr&apos;(top right)<br>&apos;bl&apos;(bottom left)<br>&apos;br&apos;(bottom right)<br>&apos;lt&apos;(left top)<br>&apos;lb&apos;(left bottom)<br>&apos;rt&apos;(right top)<br>&apos;rb&apos;(right bottom) or their combinations</td>\n<td>Enum</td>\n<td>&apos;b&apos;</td>\n</tr>\n<tr>\n<td>trigger</td>\n<td>trigger of the tooltip</td>\n<td>any</td>\n<td>&lt;span&gt;&lt;/span&gt;</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>how to trigger the tooltip. <br><br><strong>type unit</strong>:<br>&apos;hover&apos;<br>&apos;click&apos;<br> e.g.[&apos;hover&apos;, &apos;click&apos;]  &apos;click&apos;. <code>&lt;Balloon triggerType=&quot;click&quot;&gt;</code> for complex usage</td>\n<td>String/Array</td>\n<td>&apos;hover&apos;</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>custom style of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>custom className of popup</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>props of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>pure</td>\n<td>pure render or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>popupContainer of the popup, being either dom id or a function to return the dom</td>\n<td>String/Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>id</td>\n<td>id of popup. only when you set value, balloon will support accessibility</td>\n<td>String</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"known-issues\">Known Issues<a href=\"#known-issues\" class=\"anchor\">#</a></h2><ul>\n<li>For disabled elements, onMouseLeave can&apos;t be triggered in chrome, due to chrome&apos;s bug and can&apos;t be worked around at present.</li>\n</ul>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">SPACE</td>\n<td style=\"text-align:left\">When <code>triggerType=&#x2018;click&#x2019;</code>, click will popup a prompt</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">When <code>triggerType=&#x2018;click&#x2019;</code>, click will popup a prompt</td>\n</tr>\n</tbody>\n</table>\n"}