{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>Checkbox</p>\n<h3 id=\"when-to-use\">When to Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>Checkbox is used to verify which options you want selected from a group. If you have only a single option, do not use the checkbox, use the on/off switch.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"checkbox\">Checkbox<a href=\"#checkbox\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>checkbox id, mounted on input</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>checked</td>\n<td>Set the status to be checked</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultChecked</td>\n<td>Set the default status to be checked</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>Set the status to be disabled</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>label</td>\n<td>Set the label by property</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>indeterminate</td>\n<td>The intermediate state of the Checkbox will only affect the style of the Checkbox and does not affect its checked property.</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultIndeterminate</td>\n<td>Set the default status to intermediate, it will only affect the style of the Checkbox and does not affect its checked property.</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback function triggered when the state changes<br><br><strong>signatures</strong>:<br>Function(checked: Boolean, e: Event) =&gt; void<br><strong>params</strong>:<br><em>checked</em>: {Boolean} The checked value of the underlying checkbox input <br>_e_: {Event} Dom event object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onMouseEnter</td>\n<td>Callback function triggered when the mouse pointer enters the element.<br><br><strong>signatures</strong>:<br>Function(e: Event) =&gt; void<br><strong>params</strong>:<br>_e_: {Event} Dom event object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onMouseLeave</td>\n<td>Callback function triggered  when the mouse pointer leaves the element.<br><br><strong>signatures</strong>:<br>Function(e: Event) =&gt; void<br><strong>params</strong>:<br>_e_: {Event} Dom event object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"checkbox-group\">Checkbox.Group<a href=\"#checkbox-group\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>params</th>\n<th>desc</th>\n<th>type</th>\n<th>default</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>disabled</td>\n<td>Set the status of all checkbox in group to be checked</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>dataSource</td>\n<td>Optional list, data item can be String or Object, for example <code>[&apos;apple&apos;, &apos;pear&apos;, &apos;orange&apos;]</code> or <code>[{value: &apos;apple&apos;, label: &apos;Apple&apos;,}, {value: &apos;pear&apos;, label: &apos;Pear&apos;}, {value: &apos;orange&apos;, label: &apos;Orange&apos;}]</code></td>\n<td>Array&lt;any&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>value</td>\n<td>The values of selected optional list</td>\n<td>Array/String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>The values of default selected optional list</td>\n<td>Array/String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>To set nested checkbox  by children components</td>\n<td>Array&lt;ReactElement&gt;</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback function triggered when the selected value changes<br><br><strong>signatures</strong>:<br>Function(value: Array, e: Event) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {Array} values of selected optional list <br>_e_: {Event} Dom event object</td>\n<td>Function</td>\n<td>() =&gt; { }</td>\n</tr>\n<tr>\n<td>itemDirection</td>\n<td>The direction of item&apos;s aligning<br>- hoz: horizontal (default)<br>- ver: vertical<br><br><strong>Allowed values</strong>:<br>&apos;hoz&apos;, &apos;ver&apos;</td>\n<td>Enum</td>\n<td>&apos;hoz&apos;</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">SPACE</td>\n<td style=\"text-align:left\">Select or cancel the current item</td>\n</tr>\n</tbody>\n</table>\n"}