{"title":"Disable dates","meta":{"title":"Disable dates","description":"\n<p>Disable date cells by <code>disabledDate</code>.</p>\n","order":"4"},"codes":{"jsx":"import { DatePicker } from '@alifd/next';\nimport moment from 'moment';\n\nconst { RangePicker, MonthPicker, YearPicker } = DatePicker;\nconst currentDate = moment();\n\n// Disable all dates before today\nconst disabledDate = function (date, view) {\n    switch (view) {\n        case 'date':\n            return date.valueOf() <= currentDate.valueOf();\n        case 'year':\n            return date.year() < currentDate.year();\n        case 'month':\n            return date.year() * 100 + date.month() < currentDate.year() * 100 + currentDate.month();\n        default: return false;\n    }\n};\n\nReactDOM.render(<div>\n    <DatePicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <MonthPicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <YearPicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <RangePicker disabledDate={disabledDate} onChange={val => console.log(val)} />\n</div>, mountNode);\n"},"body":"\n````jsx\nimport { DatePicker } from '@alifd/next';\nimport moment from 'moment';\n\nconst { RangePicker, MonthPicker, YearPicker } = DatePicker;\nconst currentDate = moment();\n\n// Disable all dates before today\nconst disabledDate = function (date, view) {\n    switch (view) {\n        case 'date':\n            return date.valueOf() <= currentDate.valueOf();\n        case 'year':\n            return date.year() < currentDate.year();\n        case 'month':\n            return date.year() * 100 + date.month() < currentDate.year() * 100 + currentDate.month();\n        default: return false;\n    }\n};\n\nReactDOM.render(<div>\n    <DatePicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <MonthPicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <YearPicker disabledDate={disabledDate} onChange={val => console.log(val)} /><br /><br />\n    <RangePicker disabledDate={disabledDate} onChange={val => console.log(val)} />\n</div>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar _moment = require('moment');\n\nvar _moment2 = _interopRequireDefault(_moment);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nvar RangePicker = _next.DatePicker.RangePicker,\n    MonthPicker = _next.DatePicker.MonthPicker,\n    YearPicker = _next.DatePicker.YearPicker;\n\nvar currentDate = (0, _moment2.default)();\n\n// Disable all dates before today\nvar disabledDate = function disabledDate(date, view) {\n    switch (view) {\n        case 'date':\n            return date.valueOf() <= currentDate.valueOf();\n        case 'year':\n            return date.year() < currentDate.year();\n        case 'month':\n            return date.year() * 100 + date.month() < currentDate.year() * 100 + currentDate.month();\n        default:\n            return false;\n    }\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(_next.DatePicker, { disabledDate: disabledDate, onChange: function onChange(val) {\n            return console.log(val);\n        } }),\n    React.createElement('br', null),\n    React.createElement('br', null),\n    React.createElement(MonthPicker, { disabledDate: disabledDate, onChange: function onChange(val) {\n            return console.log(val);\n        } }),\n    React.createElement('br', null),\n    React.createElement('br', null),\n    React.createElement(YearPicker, { disabledDate: disabledDate, onChange: function onChange(val) {\n            return console.log(val);\n        } }),\n    React.createElement('br', null),\n    React.createElement('br', null),\n    React.createElement(RangePicker, { disabledDate: disabledDate, onChange: function onChange(val) {\n            return console.log(val);\n        } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> DatePicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> moment <span class=\"token keyword\">from</span> <span class=\"token string\">'moment'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> RangePicker<span class=\"token punctuation\">,</span> MonthPicker<span class=\"token punctuation\">,</span> YearPicker <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> DatePicker<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> currentDate <span class=\"token operator\">=</span> <span class=\"token function\">moment</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// Disable all dates before today</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">disabledDate</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">function</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">date<span class=\"token punctuation\">,</span> view</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">switch</span> <span class=\"token punctuation\">(</span>view<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">case</span> <span class=\"token string\">'date'</span><span class=\"token punctuation\">:</span>\n            <span class=\"token keyword\">return</span> date<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">&lt;=</span> currentDate<span class=\"token punctuation\">.</span><span class=\"token function\">valueOf</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">case</span> <span class=\"token string\">'year'</span><span class=\"token punctuation\">:</span>\n            <span class=\"token keyword\">return</span> date<span class=\"token punctuation\">.</span><span class=\"token function\">year</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">&lt;</span> currentDate<span class=\"token punctuation\">.</span><span class=\"token function\">year</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">case</span> <span class=\"token string\">'month'</span><span class=\"token punctuation\">:</span>\n            <span class=\"token keyword\">return</span> date<span class=\"token punctuation\">.</span><span class=\"token function\">year</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">*</span> <span class=\"token number\">100</span> <span class=\"token operator\">+</span> date<span class=\"token punctuation\">.</span><span class=\"token function\">month</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">&lt;</span> currentDate<span class=\"token punctuation\">.</span><span class=\"token function\">year</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">*</span> <span class=\"token number\">100</span> <span class=\"token operator\">+</span> currentDate<span class=\"token punctuation\">.</span><span class=\"token function\">month</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">default</span><span class=\"token punctuation\">:</span> <span class=\"token keyword\">return</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>disabledDate<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">MonthPicker</span></span> <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>disabledDate<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">YearPicker</span></span> <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>disabledDate<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RangePicker</span></span> <span class=\"token attr-name\">disabledDate</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>disabledDate<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}