{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>DatePicker are used to select a single date for an input.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"datepicker\">DatePicker<a href=\"#datepicker\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>label</td>\n<td>Inset label of input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Size of input<br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>state</td>\n<td>State of input<br><br><strong>option</strong>:<br>&apos;success&apos;, &apos;error&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>Placeholder of input</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisibleMonth</td>\n<td>Default visible month <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} moment instance with specified month<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>Value of date-picker</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>Default value of date-picker</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>format</td>\n<td>Format of date value (it will also effect user input)</td>\n<td>String</td>\n<td>&apos;YYYY-MM-DD&apos;</td>\n</tr>\n<tr>\n<td>showTime</td>\n<td>Enable time-picker, pass object like <code>{ defaultValue, format, ... }</code></td>\n<td>Object/Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>resetTime</td>\n<td>If reset time for every re-select</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>disabledDate</td>\n<td>Function to disable date <br><br><strong>signature</strong>:<br>Function(dateValue: MomentObject) =&gt; Boolean<br><strong>parameter</strong>:<br><em>dateValue</em>: {MomentObject} null<br><em>view</em>: {Enum} current view type: &apos;year&apos;, &apos;month&apos;, &apos;date&apos;<br><strong>return</strong>:<br>{Boolean} if disable current date<br></td>\n<td>Function</td>\n<td>() =&gt; false</td>\n</tr>\n<tr>\n<td>footerRender</td>\n<td>Template render for custom footer<br><br><strong>signature</strong>:<br>Function() =&gt; Node<br><strong>return</strong>:<br>{Node} Custom footer<br></td>\n<td>Function</td>\n<td>() =&gt; null</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback when date changes <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} dateValue<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onOk</td>\n<td>Callback when click the ok button<br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} dateValue<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>Disable the picker</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasClear</td>\n<td>Has clear icon</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>Visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>Default visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>Callback when visible state changes<br><br><strong>signature</strong>:<br>Function(visible: Boolean, reason: String) =&gt; void<br><strong>parameter</strong>:<br><em>visible</em>: {Boolean} if popup visible<br><em>reason</em>: {String} reason to change visible</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>popupTriggerType</td>\n<td>Trigger type of popup<br><br><strong>option</strong>:<br>&apos;click&apos;, &apos;hover&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>popupAlign</td>\n<td>Align of popup, see Overlay doc for detail</td>\n<td>String</td>\n<td>&apos;tl tl&apos;</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>Container of popup <br><br><strong>signature</strong>:<br>Function(target: Element) =&gt; Element<br><strong>parameter</strong>:<br><em>target</em>: {Element} target element<br><strong>return</strong>:<br>{Element} container of popup<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>Custom style of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>Custom className of popup</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>Props of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>followTrigger</td>\n<td>follow Trigger or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>dateInputAriaLabel</td>\n<td>Date input aria-label attr</td>\n<td>String</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"datepicker-rangepicker\">DatePicker.RangePicker<a href=\"#datepicker-rangepicker\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>size</td>\n<td>Size of input <br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>type (v1.19.0+)</td>\n<td>Select date range type<br><br><strong>option</strong>:<br>&apos;date&apos;, &apos;month&apos;, &apos;year&apos;</td>\n<td>Enum</td>\n<td>&apos;date&apos;</td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td>defaultVisibleMonth</td>\n<td>Default visible month <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} moment instance with specified month<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>Range value <code>[moment, moment]</code></td>\n<td>Array</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>Default range value <code>[moment, moment]</code></td>\n<td>Array</td>\n<td>-</td>\n</tr>\n<tr>\n<td>format</td>\n<td>Date format</td>\n<td>String</td>\n<td>&apos;YYYY-MM-DD&apos;</td>\n</tr>\n<tr>\n<td>showTime</td>\n<td>Enable time picker</td>\n<td>Object/Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>resetTime</td>\n<td>If reset time for every select</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>disabledDate</td>\n<td>Function to disable dates <br><br><strong>signature</strong>:<br>Function(dateValue: MomentObject) =&gt; Boolean<br><strong>parameter</strong>:<br><em>dateValue</em>: {MomentObject} null<br><em>view</em>: {Enum} current view type: &apos;year&apos;, &apos;month&apos;, &apos;date&apos;<br><strong>return</strong>:<br>{Boolean} if disabled<br></td>\n<td>Function</td>\n<td>() =&gt; false</td>\n</tr>\n<tr>\n<td>footerRender</td>\n<td>Template render for footer<br><br><strong>signature</strong>:<br>Function() =&gt; Node<br><strong>return</strong>:<br>{Node} custom footer<br></td>\n<td>Function</td>\n<td>() =&gt; null</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback when date changes <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} range values<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onOk</td>\n<td>Callback when click ok button <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} range values<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>label</td>\n<td>Inset label of input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>state</td>\n<td>State of input<br><br><strong>option</strong>:<br>&apos;error&apos;, &apos;success&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>Disable the picker</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasClear</td>\n<td>Has clear icon</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>Visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>Default visible state of popup</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onVisibleChange</td>\n<td>Callback when visible state changes<br><br><strong>signature</strong>:<br>Function(visible: Boolean, reason: String) =&gt; void<br><strong>parameter</strong>:<br><em>visible</em>: {Boolean} if popup visible<br><em>reason</em>: {String} reason to change visible</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>popupTriggerType</td>\n<td>Trigger type of popup <br><br><strong>option</strong>:<br>&apos;click&apos;, &apos;hover&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>popupAlign</td>\n<td>Align of popup</td>\n<td>String</td>\n<td>&apos;tl tl&apos;</td>\n</tr>\n<tr>\n<td>popupContainer</td>\n<td>Container of a popup<br><br><strong>signature</strong>:<br>Function(target: Element) =&gt; Element<br><strong>option</strong>:<br><em>target</em>: {Element} target element<br><strong>return</strong>:<br>{Element} coninter element of popup<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupStyle</td>\n<td>Custom style of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>Custom className of popup</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>Props of popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>startDateInputAriaLabel</td>\n<td>Start date input <code>aria-label</code> attribute</td>\n<td>String</td>\n<td>-</td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td>startTimeInputAriaLabel</td>\n<td>Start time input <code>aria-label</code> attribute</td>\n<td>String</td>\n<td>-</td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td>endDateInputAriaLabel</td>\n<td>End date input <code>aria-label</code> attribute</td>\n<td>String</td>\n<td>-</td>\n<td></td>\n<td></td>\n</tr>\n<tr>\n<td>endTimeInputAriaLabel</td>\n<td>End time input <code>aria-label</code> attribute</td>\n<td>String</td>\n<td>-</td>\n<td></td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"datepicker-weekpicker-v1-19-0\">DatePicker.WeekPicker v1.19.0+<a href=\"#datepicker-weekpicker-v1-19-0\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>&#x53C2;&#x6570;</th>\n<th>&#x8BF4;&#x660E;</th>\n<th>&#x7C7B;&#x578B;</th>\n<th>&#x9ED8;&#x8BA4;&#x503C;</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>label</td>\n<td>Inset label of input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Size of input<br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>state</td>\n<td>State of input<br><br><strong>option</strong>:<br>&apos;success&apos;, &apos;error&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>Placeholder of input</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisibleMonth</td>\n<td>Default visible month <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} moment instance with specified month<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>value</td>\n<td>Value of date-picker</td>\n<td>moment</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>Default value of date-picker</td>\n<td>moment</td>\n<td>-</td>\n</tr>\n<tr>\n<td>format</td>\n<td>Format of date value (it will also effect user input)</td>\n<td>String</td>\n<td>&apos;YYYY-wo&apos;</td>\n</tr>\n</tbody>\n</table>\n<p>| disabledDate        | Function to disable date <br><br><strong>signature</strong>:<br>Function(dateValue: MomentObject) =&gt; Boolean<br><strong>parameter</strong>:<br><em>dateValue</em>: {MomentObject} null<br><em>view</em>: {Enum} current view type: &apos;year&apos;, &apos;month&apos;, &apos;date&apos;<br><strong>return</strong>:<br>{Boolean} if disable current date<br>                     | Function       | () =&gt; false  |\n| footerRender        | Template render for custom footer<br><br><strong>signature</strong>:<br>Function() =&gt; Node<br><strong>return</strong>:<br>{Node} Custom footer<br>   | Function       | () =&gt; null   |\n| onChange            | Callback when date changes <br><br><strong>signature</strong>:<br>Function() =&gt; MomentObject<br><strong>return</strong>:<br>{MomentObject} dateValue<br> | Function       | func.noop    |\n| disabled            | Disable the picker | Boolean        | -            |\n| hasClear            | Has clear icon  | Boolean        | true         |\n| visible             | Visible state of popup  | Boolean        | -            |\n| defaultVisible      | Default visible state of popup   | Boolean        | -            |\n| onVisibleChange     | Callback when visible state changes<br><br><strong>signature</strong>:<br>Function(visible: Boolean, reason: String) =&gt; void<br><strong>parameter</strong>:<br><em>visible</em>: {Boolean} if popup visible<br><em>reason</em>: {String} reason to change visible | Function       | func.noop    |\n| popupTriggerType    | Trigger type of popup <br><br><strong>option</strong>:<br>&apos;click&apos;, &apos;hover&apos;   | Enum           | &apos;click&apos;      |\n| popupAlign          | Align of popup   | String         | &apos;tl tl&apos;      |\n| popupContainer      | Container of a popup<br><br><strong>signature</strong>:<br>Function(target: Element) =&gt; Element<br><strong>option</strong>:<br><em>target</em>: {Element} target element<br><strong>return</strong>:<br>{Element} coninter element of popup<br>                        | Function       | -            |\n| popupStyle          | Custom style of popup  | Object         | -            |\n| popupClassName      | Custom className of popup   | String         | -            |\n| popupProps          | Props of popup  | Object         | -            |</p>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><p>When the <code>Date Picker</code> is focused, press <code>enter</code> will open popup to input date or time.</p>\n<table>\n<thead>\n<tr>\n<th style=\"text-align:left\">&#x6309;&#x952E;</th>\n<th style=\"text-align:left\">&#x8BF4;&#x660E;</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">number key</td>\n<td style=\"text-align:left\">Need to manual input  the date, the specified date format</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">open the calendar or select date after input date</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Esc</td>\n<td style=\"text-align:left\">close the calendar</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Up</td>\n<td style=\"text-align:left\">Input previous day&#xFF08;Month Picker is previous month&#xFF0C; Year Picker is previous year&#xFF09;</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down</td>\n<td style=\"text-align:left\">Input next day&#xFF08;Month Picker is next month&#xFF0C; Year Picker is next year&#xFF09;</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Page Up</td>\n<td style=\"text-align:left\">Input previous month</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Page Down</td>\n<td style=\"text-align:left\">Input next month</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Alt + Page Up</td>\n<td style=\"text-align:left\">Input previous year</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Alt + Page Down</td>\n<td style=\"text-align:left\">Input next year</td>\n</tr>\n</tbody>\n</table>\n"}