{"title":"表单组合","meta":{"title":"表单组合","description":"\n<p>展示和表单相关的其他组件。</p>\n","order":"11"},"codes":{"jsx":"import { Form, Input, Button, Checkbox, Radio, Select, Range, Balloon, DatePicker, TimePicker, NumberPicker, Field, Switch, Upload, Grid } from '@alifd/next';\n\n\n\nconst FormItem = Form.Item;\nconst Option = Select.Option;\nconst RangePicker = DatePicker.RangePicker;\nconst {Row, Col} = Grid;\n\nconst formItemLayout = {\n    labelCol: {span: 6},\n    wrapperCol: {span: 14}\n};\n\nclass Demo extends React.Component {\n    field = new Field(this);\n\n    handleSubmit(value) {\n        console.log('Form values：', value);\n    }\n\n    render() {\n        const init = this.field.init;\n\n        return (\n            <Form {...formItemLayout} field={this.field}>\n                <FormItem label=\"I'm the title：\">\n                    <p className=\"next-form-text-align\">The quick brown fox jumps over the lazy dog.</p>\n                    <p ><a href=\"#\">Link</a></p>\n                </FormItem>\n\n                <FormItem label=\"Password:\">\n                    <Balloon trigger={<Input htmlType=\"password\" {...init('pass')} />} align=\"r\" closable={false} triggerType=\"hover\">\n                        input password\n                    </Balloon>\n                </FormItem>\n\n                <FormItem label=\"NumberPicker:\">\n                    <NumberPicker min={1} max={10} name=\"numberPicker\" defaultValue={3} />\n                    <span>Something in here</span>\n                </FormItem>\n\n                <FormItem\n                    label=\"Switch:\"\n                    required>\n                    <Switch name=\"switch\" defaultChecked />\n                </FormItem>\n\n                <FormItem label=\"Range:\" required>\n                    <Range defaultValue={30} scales={[0, 100]} marks={[0, 100]} name=\"range\" />\n                </FormItem>\n\n                <FormItem label=\"Select:\" required>\n                    <Select style={{width: 200}} name=\"select\">\n                        <Option value=\"jack\">jack</Option>\n                        <Option value=\"lucy\">lucy</Option>\n                        <Option value=\"disabled\" disabled>disabled</Option>\n                        <Option value=\"hugohua\">hugohua</Option>\n                    </Select>\n                </FormItem>\n\n                <FormItem\n                    label=\"DatePicker:\"\n                    labelCol={{span: 6}}\n                    required>\n                    <Row>\n                        <FormItem style={{marginRight: 10, marginBottom: 0}}><DatePicker name=\"startDate\"/></FormItem>\n                        <FormItem style={{marginBottom: 0}}><DatePicker name=\"endDate\" /></FormItem>\n                    </Row>\n                </FormItem>\n\n                <FormItem\n                    label=\"RangePicker:\"\n                    labelCol={{span: 6}}\n                    required>\n                    <RangePicker name=\"rangeDate\"/>\n                </FormItem>\n\n                <FormItem\n                    label=\"TimePicker:\"\n                    required>\n                    <TimePicker name=\"time\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Checkbox:\">\n                    <Checkbox.Group name=\"checkbox\">\n                        <Checkbox value=\"a\">option 1 </Checkbox>\n                        <Checkbox value=\"b\">option 2 </Checkbox>\n                        <Checkbox disabled value=\"c\">option 3（disabled）</Checkbox>\n                    </Checkbox.Group>\n                </FormItem>\n\n                <FormItem\n                    label=\"Radio:\">\n                    <Radio.Group name=\"radio\">\n                        <Radio value=\"apple\">apple</Radio>\n                        <Radio value=\"banana\">banana</Radio>\n                        <Radio disabled value=\"cherry\">cherry（disabled）</Radio>\n                    </Radio.Group>\n                </FormItem>\n\n                <FormItem\n                    label=\"Logo：\"\n                >\n                    <Upload action=\"/upload.do\" listType=\"text\" name=\"upload\" >\n                        <Button type=\"primary\" style={{margin: '0 0 10px'}}>Upload</Button>\n                    </Upload>\n                </FormItem>\n                <Row style={{marginTop: 24}}>\n                    <Col offset=\"6\">\n                        <Form.Submit type=\"primary\" onClick={this.handleSubmit.bind(this)}>Submit</Form.Submit>\n                    </Col>\n                </Row>\n            </Form>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n\n````jsx\nimport { Form, Input, Button, Checkbox, Radio, Select, Range, Balloon, DatePicker, TimePicker, NumberPicker, Field, Switch, Upload, Grid } from '@alifd/next';\n\n\n\nconst FormItem = Form.Item;\nconst Option = Select.Option;\nconst RangePicker = DatePicker.RangePicker;\nconst {Row, Col} = Grid;\n\nconst formItemLayout = {\n    labelCol: {span: 6},\n    wrapperCol: {span: 14}\n};\n\nclass Demo extends React.Component {\n    field = new Field(this);\n\n    handleSubmit(value) {\n        console.log('Form values：', value);\n    }\n\n    render() {\n        const init = this.field.init;\n\n        return (\n            <Form {...formItemLayout} field={this.field}>\n                <FormItem label=\"I'm the title：\">\n                    <p className=\"next-form-text-align\">The quick brown fox jumps over the lazy dog.</p>\n                    <p ><a href=\"#\">Link</a></p>\n                </FormItem>\n\n                <FormItem label=\"Password:\">\n                    <Balloon trigger={<Input htmlType=\"password\" {...init('pass')} />} align=\"r\" closable={false} triggerType=\"hover\">\n                        input password\n                    </Balloon>\n                </FormItem>\n\n                <FormItem label=\"NumberPicker:\">\n                    <NumberPicker min={1} max={10} name=\"numberPicker\" defaultValue={3} />\n                    <span>Something in here</span>\n                </FormItem>\n\n                <FormItem\n                    label=\"Switch:\"\n                    required>\n                    <Switch name=\"switch\" defaultChecked />\n                </FormItem>\n\n                <FormItem label=\"Range:\" required>\n                    <Range defaultValue={30} scales={[0, 100]} marks={[0, 100]} name=\"range\" />\n                </FormItem>\n\n                <FormItem label=\"Select:\" required>\n                    <Select style={{width: 200}} name=\"select\">\n                        <Option value=\"jack\">jack</Option>\n                        <Option value=\"lucy\">lucy</Option>\n                        <Option value=\"disabled\" disabled>disabled</Option>\n                        <Option value=\"hugohua\">hugohua</Option>\n                    </Select>\n                </FormItem>\n\n                <FormItem\n                    label=\"DatePicker:\"\n                    labelCol={{span: 6}}\n                    required>\n                    <Row>\n                        <FormItem style={{marginRight: 10, marginBottom: 0}}><DatePicker name=\"startDate\"/></FormItem>\n                        <FormItem style={{marginBottom: 0}}><DatePicker name=\"endDate\" /></FormItem>\n                    </Row>\n                </FormItem>\n\n                <FormItem\n                    label=\"RangePicker:\"\n                    labelCol={{span: 6}}\n                    required>\n                    <RangePicker name=\"rangeDate\"/>\n                </FormItem>\n\n                <FormItem\n                    label=\"TimePicker:\"\n                    required>\n                    <TimePicker name=\"time\" />\n                </FormItem>\n\n                <FormItem\n                    label=\"Checkbox:\">\n                    <Checkbox.Group name=\"checkbox\">\n                        <Checkbox value=\"a\">option 1 </Checkbox>\n                        <Checkbox value=\"b\">option 2 </Checkbox>\n                        <Checkbox disabled value=\"c\">option 3（disabled）</Checkbox>\n                    </Checkbox.Group>\n                </FormItem>\n\n                <FormItem\n                    label=\"Radio:\">\n                    <Radio.Group name=\"radio\">\n                        <Radio value=\"apple\">apple</Radio>\n                        <Radio value=\"banana\">banana</Radio>\n                        <Radio disabled value=\"cherry\">cherry（disabled）</Radio>\n                    </Radio.Group>\n                </FormItem>\n\n                <FormItem\n                    label=\"Logo：\"\n                >\n                    <Upload action=\"/upload.do\" listType=\"text\" name=\"upload\" >\n                        <Button type=\"primary\" style={{margin: '0 0 10px'}}>Upload</Button>\n                    </Upload>\n                </FormItem>\n                <Row style={{marginTop: 24}}>\n                    <Col offset=\"6\">\n                        <Form.Submit type=\"primary\" onClick={this.handleSubmit.bind(this)}>Submit</Form.Submit>\n                    </Col>\n                </Row>\n            </Form>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar FormItem = _next.Form.Item;\nvar Option = _next.Select.Option;\nvar RangePicker = _next.DatePicker.RangePicker;\nvar Row = _next.Grid.Row,\n    Col = _next.Grid.Col;\n\n\nvar formItemLayout = {\n    labelCol: { span: 6 },\n    wrapperCol: { span: 14 }\n};\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.field = new _next.Field(_this), _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'handleSubmit',\n        value: function handleSubmit(value) {\n            console.log('Form values：', value);\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var init = this.field.init;\n\n            return React.createElement(\n                _next.Form,\n                _extends({}, formItemLayout, { field: this.field }),\n                React.createElement(\n                    FormItem,\n                    { label: 'I\\'m the title\\uFF1A' },\n                    React.createElement(\n                        'p',\n                        { className: 'next-form-text-align' },\n                        'The quick brown fox jumps over the lazy dog.'\n                    ),\n                    React.createElement(\n                        'p',\n                        null,\n                        React.createElement(\n                            'a',\n                            { href: '#' },\n                            'Link'\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    { label: 'Password:' },\n                    React.createElement(\n                        _next.Balloon,\n                        { trigger: React.createElement(_next.Input, _extends({ htmlType: 'password' }, init('pass'))), align: 'r', closable: false, triggerType: 'hover' },\n                        'input password'\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    { label: 'NumberPicker:' },\n                    React.createElement(_next.NumberPicker, { min: 1, max: 10, name: 'numberPicker', defaultValue: 3 }),\n                    React.createElement(\n                        'span',\n                        null,\n                        'Something in here'\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Switch:',\n                        required: true },\n                    React.createElement(_next.Switch, { name: 'switch', defaultChecked: true })\n                ),\n                React.createElement(\n                    FormItem,\n                    { label: 'Range:', required: true },\n                    React.createElement(_next.Range, { defaultValue: 30, scales: [0, 100], marks: [0, 100], name: 'range' })\n                ),\n                React.createElement(\n                    FormItem,\n                    { label: 'Select:', required: true },\n                    React.createElement(\n                        _next.Select,\n                        { style: { width: 200 }, name: 'select' },\n                        React.createElement(\n                            Option,\n                            { value: 'jack' },\n                            'jack'\n                        ),\n                        React.createElement(\n                            Option,\n                            { value: 'lucy' },\n                            'lucy'\n                        ),\n                        React.createElement(\n                            Option,\n                            { value: 'disabled', disabled: true },\n                            'disabled'\n                        ),\n                        React.createElement(\n                            Option,\n                            { value: 'hugohua' },\n                            'hugohua'\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'DatePicker:',\n                        labelCol: { span: 6 },\n                        required: true },\n                    React.createElement(\n                        Row,\n                        null,\n                        React.createElement(\n                            FormItem,\n                            { style: { marginRight: 10, marginBottom: 0 } },\n                            React.createElement(_next.DatePicker, { name: 'startDate' })\n                        ),\n                        React.createElement(\n                            FormItem,\n                            { style: { marginBottom: 0 } },\n                            React.createElement(_next.DatePicker, { name: 'endDate' })\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'RangePicker:',\n                        labelCol: { span: 6 },\n                        required: true },\n                    React.createElement(RangePicker, { name: 'rangeDate' })\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'TimePicker:',\n                        required: true },\n                    React.createElement(_next.TimePicker, { name: 'time' })\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Checkbox:' },\n                    React.createElement(\n                        _next.Checkbox.Group,\n                        { name: 'checkbox' },\n                        React.createElement(\n                            _next.Checkbox,\n                            { value: 'a' },\n                            'option 1 '\n                        ),\n                        React.createElement(\n                            _next.Checkbox,\n                            { value: 'b' },\n                            'option 2 '\n                        ),\n                        React.createElement(\n                            _next.Checkbox,\n                            { disabled: true, value: 'c' },\n                            'option 3\\uFF08disabled\\uFF09'\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Radio:' },\n                    React.createElement(\n                        _next.Radio.Group,\n                        { name: 'radio' },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'apple' },\n                            'apple'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'banana' },\n                            'banana'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { disabled: true, value: 'cherry' },\n                            'cherry\\uFF08disabled\\uFF09'\n                        )\n                    )\n                ),\n                React.createElement(\n                    FormItem,\n                    {\n                        label: 'Logo\\uFF1A'\n                    },\n                    React.createElement(\n                        _next.Upload,\n                        { action: '/upload.do', listType: 'text', name: 'upload' },\n                        React.createElement(\n                            _next.Button,\n                            { type: 'primary', style: { margin: '0 0 10px' } },\n                            'Upload'\n                        )\n                    )\n                ),\n                React.createElement(\n                    Row,\n                    { style: { marginTop: 24 } },\n                    React.createElement(\n                        Col,\n                        { offset: '6' },\n                        React.createElement(\n                            _next.Form.Submit,\n                            { type: 'primary', onClick: this.handleSubmit.bind(this) },\n                            'Submit'\n                        )\n                    )\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Form<span class=\"token punctuation\">,</span> Input<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Checkbox<span class=\"token punctuation\">,</span> Radio<span class=\"token punctuation\">,</span> Select<span class=\"token punctuation\">,</span> Range<span class=\"token punctuation\">,</span> Balloon<span class=\"token punctuation\">,</span> DatePicker<span class=\"token punctuation\">,</span> TimePicker<span class=\"token punctuation\">,</span> NumberPicker<span class=\"token punctuation\">,</span> Field<span class=\"token punctuation\">,</span> Switch<span class=\"token punctuation\">,</span> Upload<span class=\"token punctuation\">,</span> Grid <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n\n<span class=\"token keyword\">const</span> FormItem <span class=\"token operator\">=</span> Form<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> Option <span class=\"token operator\">=</span> Select<span class=\"token punctuation\">.</span>Option<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> RangePicker <span class=\"token operator\">=</span> DatePicker<span class=\"token punctuation\">.</span>RangePicker<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>Row<span class=\"token punctuation\">,</span> Col<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Grid<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> formItemLayout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    labelCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>span<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    wrapperCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>span<span class=\"token punctuation\">:</span> <span class=\"token number\">14</span><span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    field <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Field</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">handleSubmit</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'Form values：'</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> init <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span>init<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">field</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>I'm the title：<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>next-form-text-align<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">The quick brown fox jumps over the lazy dog.</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span> <span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>#<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Link</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Password:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Balloon</span></span> <span class=\"token attr-name\">trigger</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token operator\">&lt;</span>Input htmlType<span class=\"token operator\">=</span><span class=\"token string\">\"password\"</span> <span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'pass'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span> <span class=\"token operator\">/</span><span class=\"token operator\">></span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">align</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>r<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">closable</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">triggerType</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>hover<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        input password\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Balloon</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>NumberPicker:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NumberPicker</span></span> <span class=\"token attr-name\">min</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">1</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">max</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>numberPicker<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Something in here</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Switch:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>switch<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultChecked</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Range:<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Range</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">30</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">scales</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">,</span> <span class=\"token number\">100</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">marks</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">,</span> <span class=\"token number\">100</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>range<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Select:<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>width<span class=\"token punctuation\">:</span> <span class=\"token number\">200</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>select<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>jack<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">jack</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>lucy<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">lucy</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">disabled</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">disabled</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>hugohua<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">hugohua</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>DatePicker:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">labelCol</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>span<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginRight<span class=\"token punctuation\">:</span> <span class=\"token number\">10</span><span class=\"token punctuation\">,</span> marginBottom<span class=\"token punctuation\">:</span> <span class=\"token number\">0</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>startDate<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginBottom<span class=\"token punctuation\">:</span> <span class=\"token number\">0</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>endDate<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>RangePicker:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">labelCol</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>span<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RangePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>rangeDate<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>TimePicker:<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">required</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimePicker</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Checkbox:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox.Group</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>checkbox<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>a<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">option 1 </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>b<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">option 2 </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>c<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">option 3（disabled）</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Checkbox.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Radio:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>radio<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>apple<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">apple</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>banana<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">banana</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>cherry<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">cherry（disabled）</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span>\n                    <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Logo：<span class=\"token punctuation\">\"</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Upload</span></span> <span class=\"token attr-name\">action</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>/upload.do<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">listType</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>text<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">name</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>upload<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>margin<span class=\"token punctuation\">:</span> <span class=\"token string\">'0 0 10px'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Upload</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Upload</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginTop<span class=\"token punctuation\">:</span> <span class=\"token number\">24</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span> <span class=\"token attr-name\">offset</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>6<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form.Submit</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSubmit</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Submit</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form.Submit</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}