{"title":"Valedation prompt","meta":{"title":"Valedation prompt","description":"\n<p>Define the <code>state</code> attribute for <code>&lt;FormItem&gt;</code> to control the three valedation states.</p>\n<p>If it is an <code>&lt;Input&gt;</code> component, you can add <code>hasFeedback</code> to control icon on <code>&lt;FormItem&gt;</code></p>\n<p><strong>Note</strong>: The feedback icon is only valid for <code>&lt;Input /&gt;</code>.</p>\n","order":"8"},"codes":{"jsx":"import { Form, Input, DatePicker, TimePicker, NumberPicker, Select } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\n\nconst formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nReactDOM.render(\n    <Form {...formItemLayout}>\n        <FormItem label=\"Input Error：\" validateState=\"error\" help=\"Please enter a numeric and alphabetic string\">\n            <Input defaultValue=\"Invalid choice\"/>\n        </FormItem>\n\n        <FormItem label=\"Loading：\" hasFeedback validateState=\"loading\" help=\"Information Checking...\">\n            <Input defaultValue=\"Checking\"/>\n        </FormItem>\n\n        <FormItem label=\"Success：\" hasFeedback validateState=\"success\">\n            <Input defaultValue=\"Successful verification\"/>\n        </FormItem>\n\n        <FormItem label=\"Datepicker：\" validateState=\"error\" help=\"Please select the correct date\">\n            <DatePicker />\n        </FormItem>\n\n        <FormItem label=\"Timepicker：\" validateState=\"error\" help=\"Please select the correct time\">\n            <TimePicker />\n        </FormItem>\n\n        <FormItem label=\"Select：\" validateState=\"error\" help=\"Please select a country\">\n            <Select placeholder=\"Please select a country\">\n                <option value=\"china\">China</option>\n                <option value=\"use\">United States</option>\n                <option value=\"japan\">Japan</option>\n                <option value=\"korean\">South Korea</option>\n                <option value=\"Thailand\">Thailand</option>\n            </Select>\n        </FormItem>\n\n        <FormItem label=\"NumberPicker：\" validateState=\"error\">\n            <NumberPicker defaultValue={0} />\n        </FormItem>\n    </Form>\n    , mountNode);\n"},"body":"\n````jsx\nimport { Form, Input, DatePicker, TimePicker, NumberPicker, Select } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\n\nconst formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nReactDOM.render(\n    <Form {...formItemLayout}>\n        <FormItem label=\"Input Error：\" validateState=\"error\" help=\"Please enter a numeric and alphabetic string\">\n            <Input defaultValue=\"Invalid choice\"/>\n        </FormItem>\n\n        <FormItem label=\"Loading：\" hasFeedback validateState=\"loading\" help=\"Information Checking...\">\n            <Input defaultValue=\"Checking\"/>\n        </FormItem>\n\n        <FormItem label=\"Success：\" hasFeedback validateState=\"success\">\n            <Input defaultValue=\"Successful verification\"/>\n        </FormItem>\n\n        <FormItem label=\"Datepicker：\" validateState=\"error\" help=\"Please select the correct date\">\n            <DatePicker />\n        </FormItem>\n\n        <FormItem label=\"Timepicker：\" validateState=\"error\" help=\"Please select the correct time\">\n            <TimePicker />\n        </FormItem>\n\n        <FormItem label=\"Select：\" validateState=\"error\" help=\"Please select a country\">\n            <Select placeholder=\"Please select a country\">\n                <option value=\"china\">China</option>\n                <option value=\"use\">United States</option>\n                <option value=\"japan\">Japan</option>\n                <option value=\"korean\">South Korea</option>\n                <option value=\"Thailand\">Thailand</option>\n            </Select>\n        </FormItem>\n\n        <FormItem label=\"NumberPicker：\" validateState=\"error\">\n            <NumberPicker defaultValue={0} />\n        </FormItem>\n    </Form>\n    , mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar FormItem = _next.Form.Item;\n\nvar formItemLayout = {\n    labelCol: {\n        span: 6\n    },\n    wrapperCol: {\n        span: 14\n    }\n};\n\nReactDOM.render(React.createElement(\n    _next.Form,\n    formItemLayout,\n    React.createElement(\n        FormItem,\n        { label: \"Input Error\\uFF1A\", validateState: \"error\", help: \"Please enter a numeric and alphabetic string\" },\n        React.createElement(_next.Input, { defaultValue: \"Invalid choice\" })\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"Loading\\uFF1A\", hasFeedback: true, validateState: \"loading\", help: \"Information Checking...\" },\n        React.createElement(_next.Input, { defaultValue: \"Checking\" })\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"Success\\uFF1A\", hasFeedback: true, validateState: \"success\" },\n        React.createElement(_next.Input, { defaultValue: \"Successful verification\" })\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"Datepicker\\uFF1A\", validateState: \"error\", help: \"Please select the correct date\" },\n        React.createElement(_next.DatePicker, null)\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"Timepicker\\uFF1A\", validateState: \"error\", help: \"Please select the correct time\" },\n        React.createElement(_next.TimePicker, null)\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"Select\\uFF1A\", validateState: \"error\", help: \"Please select a country\" },\n        React.createElement(\n            _next.Select,\n            { placeholder: \"Please select a country\" },\n            React.createElement(\n                \"option\",\n                { value: \"china\" },\n                \"China\"\n            ),\n            React.createElement(\n                \"option\",\n                { value: \"use\" },\n                \"United States\"\n            ),\n            React.createElement(\n                \"option\",\n                { value: \"japan\" },\n                \"Japan\"\n            ),\n            React.createElement(\n                \"option\",\n                { value: \"korean\" },\n                \"South Korea\"\n            ),\n            React.createElement(\n                \"option\",\n                { value: \"Thailand\" },\n                \"Thailand\"\n            )\n        )\n    ),\n    React.createElement(\n        FormItem,\n        { label: \"NumberPicker\\uFF1A\", validateState: \"error\" },\n        React.createElement(_next.NumberPicker, { defaultValue: 0 })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Form<span class=\"token punctuation\">,</span> Input<span class=\"token punctuation\">,</span> DatePicker<span class=\"token punctuation\">,</span> TimePicker<span class=\"token punctuation\">,</span> NumberPicker<span class=\"token punctuation\">,</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> FormItem <span class=\"token operator\">=</span> Form<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> formItemLayout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    labelCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    wrapperCol<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>\n        span<span class=\"token punctuation\">:</span> <span class=\"token number\">14</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Input Error：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>error<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please enter a numeric and alphabetic string<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Invalid choice<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Loading：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">hasFeedback</span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>loading<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Information Checking...<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Checking<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Success：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">hasFeedback</span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>success<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Successful verification<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Datepicker：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>error<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select the correct date<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Timepicker：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>error<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select the correct time<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimePicker</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Select：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>error<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">help</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select a country<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Please select a country<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>option</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>china<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">China</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>option</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>option</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>use<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">United States</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>option</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>option</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>japan<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Japan</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>option</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>option</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>korean<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">South Korea</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>option</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>option</span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Thailand<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Thailand</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>option</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>NumberPicker：<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">validateState</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>error<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NumberPicker</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">0</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}