{"meta":"<h2 id=\"development-guide\">Development Guide<a href=\"#development-guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When to Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>Form Input, use it with Form components usually.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"input\">Input<a href=\"#input\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>value</td>\n<td>current value</td>\n<td>String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Size<br><br>option:<br>&apos;small&apos;<br>&apos;medium&apos;<br>&apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>inital value</td>\n<td>String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback when value changes<br><br><strong>signature</strong>:<br>Function(value: String, e: Event) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {String} data<br>_e_: {Event} DOM Event Object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onKeyDown</td>\n<td>callback when on key down<br><br><strong>signature</strong>:<br>Function(e: Event, opts: Object) =&gt; void <br><strong>params</strong>:<br>_e_: {Event} DOM Event Object<br><em>opts</em>: {Object} extended information&#xFF1A;<br> - opts.overMaxLength: {Boolean} input has reached max length<br> - opts.beTrimed: {Boolean} input whitespace has been trimed</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>disabled state</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>maxLength</td>\n<td>max length</td>\n<td>Number</td>\n<td>null</td>\n</tr>\n<tr>\n<td>hasLimitHint</td>\n<td>limit max num of characters</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>cutString</td>\n<td>when maxLength is set, auto cut string</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>readOnly</td>\n<td>read only, forbid editing</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>trim</td>\n<td>onChange will  auto trim text</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>place holder</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onFocus</td>\n<td>callback when input get focused<br><br><strong>signature</strong>:<br>Function(e: Event) =&gt; void <br><strong>params</strong>:<br>_e_: {Event} DOM Event Object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onBlur</td>\n<td>callback when input lose focused<br><br><strong>signature</strong>:<br>Function(e: Event) =&gt; void <br><strong>params</strong>:<br>_e_: {Event} DOM Event Object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>getValueLength</td>\n<td>define the  value length caculation<br><br><strong>signature</strong>:<br>Function(value: String) =&gt; Number<br><strong>params</strong>:<br><em>value</em>: {String} Data<br>returns:<br>{Number} caculated length<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>htmlType</td>\n<td>html input type</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>state</td>\n<td>state<br><br>option:<br>&apos;error&apos;<br>&apos;loading&apos;<br>&apos;success&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>label</td>\n<td>label</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasClear</td>\n<td>clear button displays or not</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasBorder</td>\n<td>input border displays or not</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>onKeyDown</td>\n<td>callback when keyboard press down<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onPressEnter</td>\n<td>callback when the enter key press down <br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>hint</td>\n<td>watermark, a type of Icon, share a place with hasClear</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>innerBefore</td>\n<td>Elements appended  before text</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>innerAfter</td>\n<td>Elements appended  after text</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonBefore</td>\n<td>Elements appended  before input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonAfter</td>\n<td>Elements appended  after input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonTextBefore</td>\n<td>text appended  before input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonTextAfter</td>\n<td>text appended  before input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>autoComplete</td>\n<td>require browser support</td>\n<td>String</td>\n<td>&apos;off&apos;</td>\n</tr>\n<tr>\n<td>autoFocus</td>\n<td>require browser support</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"input-textarea\">Input.TextArea<a href=\"#input-textarea\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>value</td>\n<td>currentValue</td>\n<td>String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>inital value</td>\n<td>String/Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback when value changes<br><br><strong>signature</strong>:<br>Function(value: String, e: Event) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {String} Data<br>_e_: {Event} DOM Event</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onKeyDown</td>\n<td>callback when on key down<br><br><strong>signature</strong>:<br>Function(e: Event, opts: Object) =&gt; void <br><strong>params</strong>:<br>_e_: {Event} DOM Event Object<br><em>opts</em>: {Object} extended information&#xFF1A;<br> - opts.overMaxLength: {Boolean} input has reached max length<br> - opts.beTrimed: {Boolean} input whitespace has been trimed</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>disabled state</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>maxLength</td>\n<td>max length</td>\n<td>Number</td>\n<td>null</td>\n</tr>\n<tr>\n<td>hasLimitHint</td>\n<td>limit max num of characters</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>cutString</td>\n<td>when maxLength is set, auto cut string</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>readOnly</td>\n<td>read only, forbid editing</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>trim</td>\n<td>onChange will  auto trim text</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>placeholder</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onFocus</td>\n<td>callback when input get focused<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onBlur</td>\n<td>callback when input lose focused<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>getValueLength</td>\n<td>define the  value length caculation<br><br><strong>signature</strong>:<br>Function(value: String) =&gt; Number<br><strong>params</strong>:<br><em>value</em>: {String} Data<br>returns:<br>{Number} caculated length<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>htmlType</td>\n<td>html input type</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>state</td>\n<td>state<br><br>option:<br>&apos;error&apos;<br>&apos;loading&apos;<br>&apos;success&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>autoHeight</td>\n<td>height auto fit, exapmle: true / {minRows: 2, maxRows: 4}</td>\n<td>Boolean/Object</td>\n<td>false</td>\n</tr>\n<tr>\n<td>rows</td>\n<td>multiline text height <br>(Never use <code>height</code> to controll textarea&apos;s height for compatibility with IE9/10)</td>\n<td>Number</td>\n<td>4</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"input-group\">Input.Group<a href=\"#input-group\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>addonBefore</td>\n<td>Elements appended  before input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonBeforeClassName</td>\n<td>Classnames before input, usually use for css</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonAfter</td>\n<td>Elements appended  after input</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>addonAfterClassName</td>\n<td>Classnames after input , usually use for css</td>\n<td>String</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"input-textarea-inner-methods-got-by-refs\">Input/TextArea Inner Methods(Got by refs)<a href=\"#input-textarea-inner-methods-got-by-refs\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>getInputNode</td>\n<td>get truely input html dom node</td>\n<td>Function</td>\n<td></td>\n</tr>\n<tr>\n<td>focus</td>\n<td>get foucs<br><br><strong>signature</strong>:<br> Function(start:Number, end: Number)<br><strong>params</strong>:<br><em>start</em>: {Number} cursor postion<br><em>end</em>: {Number} select end postion</td>\n<td>Function</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">Trigger the onKeyDown event</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Any</td>\n<td style=\"text-align:left\">Trigger the onChange event</td>\n</tr>\n</tbody>\n</table>\n"}