{"title":"菜单选择模式","meta":{"title":"菜单选择模式","description":"\n<p>通过 selectMode 控制菜单的选择模式。</p>\n","order":"3"},"codes":{"jsx":"import { MenuButton } from '@alifd/next';\n\nconst { Item } = MenuButton;\nconst menu = ['Undo', 'Redo', 'Cut', 'Copy', 'Paste'].map(item => <Item key={item}>{item}</Item>);\n\nReactDOM.render(<div>\n    <MenuButton label=\"Document Edit\" selectMode=\"single\" onSelect={keys => console.log(keys)}>{menu}</MenuButton>\n</div>, mountNode);\n"},"body":"\n\n````jsx\nimport { MenuButton } from '@alifd/next';\n\nconst { Item } = MenuButton;\nconst menu = ['Undo', 'Redo', 'Cut', 'Copy', 'Paste'].map(item => <Item key={item}>{item}</Item>);\n\nReactDOM.render(<div>\n    <MenuButton label=\"Document Edit\" selectMode=\"single\" onSelect={keys => console.log(keys)}>{menu}</MenuButton>\n</div>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar Item = _next.MenuButton.Item;\n\nvar menu = ['Undo', 'Redo', 'Cut', 'Copy', 'Paste'].map(function (item) {\n    return React.createElement(\n        Item,\n        { key: item },\n        item\n    );\n});\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(\n        _next.MenuButton,\n        { label: 'Document Edit', selectMode: 'single', onSelect: function onSelect(keys) {\n                return console.log(keys);\n            } },\n        menu\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> MenuButton <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> Item <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> MenuButton<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> menu <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'Undo'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Redo'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Cut'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Copy'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Paste'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">MenuButton</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Document Edit<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">selectMode</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>single<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">keys</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>keys<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>menu<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">MenuButton</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}