{"title":"Alignment of the pop up menu","meta":{"title":"Alignment of the pop up menu","description":"\n<p>You can align the popup menu with the parent menu by setting popupAlign to &#39;outside&#39;.</p>\n","order":"4"},"codes":{"jsx":"import { Menu } from '@alifd/next';\n\nconst { SubMenu, Item, Divider } = Menu;\n\nReactDOM.render(\n    <Menu className=\"my-menu\" mode=\"popup\" popupAlign=\"outside\">\n        <Item key=\"1\">Option 1</Item>\n        <Item key=\"2\">Option 2</Item>\n        <Item key=\"3\">Option 3</Item>\n        <Divider key=\"divider\" />\n        <SubMenu key=\"sub-1\" label=\"Popup menu 1\">\n            <Item key=\"popup-1-1\">Popup option 1</Item>\n            <Item key=\"popup-1-2\">Popup option 2</Item>\n        </SubMenu>\n        <SubMenu key=\"sub-2\" label=\"Popup menu 2\">\n            <Item key=\"popup-2-1\">Popup option 1</Item>\n            <Item key=\"popup-2-2\">Popup option 2</Item>\n        </SubMenu>\n    </Menu>\n    , mountNode);\n","css":".my-menu {\n    width: 200px;\n}\n"},"body":"\n````jsx\nimport { Menu } from '@alifd/next';\n\nconst { SubMenu, Item, Divider } = Menu;\n\nReactDOM.render(\n    <Menu className=\"my-menu\" mode=\"popup\" popupAlign=\"outside\">\n        <Item key=\"1\">Option 1</Item>\n        <Item key=\"2\">Option 2</Item>\n        <Item key=\"3\">Option 3</Item>\n        <Divider key=\"divider\" />\n        <SubMenu key=\"sub-1\" label=\"Popup menu 1\">\n            <Item key=\"popup-1-1\">Popup option 1</Item>\n            <Item key=\"popup-1-2\">Popup option 2</Item>\n        </SubMenu>\n        <SubMenu key=\"sub-2\" label=\"Popup menu 2\">\n            <Item key=\"popup-2-1\">Popup option 1</Item>\n            <Item key=\"popup-2-2\">Popup option 2</Item>\n        </SubMenu>\n    </Menu>\n    , mountNode);\n````\n\n````css\n.my-menu {\n    width: 200px;\n}\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar SubMenu = _next.Menu.SubMenu,\n    Item = _next.Menu.Item,\n    Divider = _next.Menu.Divider;\n\n\nReactDOM.render(React.createElement(\n    _next.Menu,\n    { className: \"my-menu\", mode: \"popup\", popupAlign: \"outside\" },\n    React.createElement(\n        Item,\n        { key: \"1\" },\n        \"Option 1\"\n    ),\n    React.createElement(\n        Item,\n        { key: \"2\" },\n        \"Option 2\"\n    ),\n    React.createElement(\n        Item,\n        { key: \"3\" },\n        \"Option 3\"\n    ),\n    React.createElement(Divider, { key: \"divider\" }),\n    React.createElement(\n        SubMenu,\n        { key: \"sub-1\", label: \"Popup menu 1\" },\n        React.createElement(\n            Item,\n            { key: \"popup-1-1\" },\n            \"Popup option 1\"\n        ),\n        React.createElement(\n            Item,\n            { key: \"popup-1-2\" },\n            \"Popup option 2\"\n        )\n    ),\n    React.createElement(\n        SubMenu,\n        { key: \"sub-2\", label: \"Popup menu 2\" },\n        React.createElement(\n            Item,\n            { key: \"popup-2-1\" },\n            \"Popup option 1\"\n        ),\n        React.createElement(\n            Item,\n            { key: \"popup-2-2\" },\n            \"Popup option 2\"\n        )\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Menu <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> SubMenu<span class=\"token punctuation\">,</span> Item<span class=\"token punctuation\">,</span> Divider <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Menu<span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>my-menu<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">mode</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>popup<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">popupAlign</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>outside<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>3<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Option 3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Divider</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>divider<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubMenu</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-1<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Popup menu 1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>popup-1-1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Popup option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>popup-1-2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Popup option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubMenu</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubMenu</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>sub-2<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Popup menu 2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>popup-2-1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Popup option 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>popup-2-2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Popup option 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubMenu</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.my-menu {\n    width: 200px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.my-menu</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}