{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"message\">Message<a href=\"#message\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>size</td>\n<td>size of message<br><br><strong>option</strong>:<br>&apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>type</td>\n<td>type of message<br><br><strong>option</strong>:<br>&apos;success&apos;, &apos;warning&apos;, &apos;error&apos;, &apos;notice&apos;, &apos;help&apos;, &apos;loading&apos;</td>\n<td>Enum</td>\n<td>&apos;success&apos;</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>shape of message<br><br><strong>option</strong>:<br>&apos;inline&apos;, &apos;addon&apos;, &apos;toast&apos;</td>\n<td>Enum</td>\n<td>&apos;inline&apos;</td>\n</tr>\n<tr>\n<td>title</td>\n<td>title of message</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>content of message</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultVisible</td>\n<td>whether the message is visible in default</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>visible</td>\n<td>whether the message is visible currently</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>iconType</td>\n<td>type of icon, overriding the internally type of icon</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>closeable</td>\n<td>whether to show the close button</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onClose</td>\n<td>callback function triggered when close<br><br><strong>signatures</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>afterClose</td>\n<td>callback function triggered after closed<br><br><strong>signatures</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>animation</td>\n<td>whether to enable expand and collapse animation</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n</tbody>\n</table>\n<!-- api-extra-start -->\n<h3 id=\"message-show\">Message.show<a href=\"#message-show\" class=\"anchor\">#</a></h3><p><code>Message.show(props)</code> provides a singleton call with the following configuration parameters (inheriting <code>Overlay</code> configuration):</p>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>type</td>\n<td>type of message</td>\n<td>String</td>\n<td>&apos;success&apos;</td>\n</tr>\n<tr>\n<td>title</td>\n<td>title of message</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>content</td>\n<td>content of message</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>duration</td>\n<td>show duration, 0 means always present, in milliseconds</td>\n<td>Number</td>\n<td>3000</td>\n</tr>\n<tr>\n<td>align</td>\n<td>alignment reference Overlay</td>\n<td>String</td>\n<td>&apos;tc tc&apos;</td>\n</tr>\n<tr>\n<td>offset</td>\n<td>offset after positioned</td>\n<td>Array</td>\n<td>[0, 0]</td>\n</tr>\n<tr>\n<td>hasMask</td>\n<td>whether to have a mask</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>closeable</td>\n<td>whether to show the close button</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>afterClose</td>\n<td>callback function triggered after closed</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>overlayProps</td>\n<td>props of Overlay</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<p>Example:</p>\n<div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\">Message<span class=\"token punctuation\">.</span><span class=\"token function\">show</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    type<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;error&apos;</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;Error&apos;</span><span class=\"token punctuation\">,</span>\n    content<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;Please contact admin feedback!&apos;</span><span class=\"token punctuation\">,</span>\n    hasMask<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><h3 id=\"message-hide\">Message.hide<a href=\"#message-hide\" class=\"anchor\">#</a></h3><p><code>Message.hide()</code> provides a quick way to close the message.</p>\n<h3 id=\"message-success-error-notice-help-loading\">Message.[success|error|notice|help|loading]<a href=\"#message-success-error-notice-help-loading\" class=\"anchor\">#</a></h3><p>Quick ways of <code>Message.show({type: type, title: &apos;xxx&apos;});</code>.</p>\n<p>Example&#xFF1A;</p>\n<div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\">Message<span class=\"token punctuation\">.</span><span class=\"token function\">success</span><span class=\"token punctuation\">(</span><span class=\"token string\">&apos;message content&apos;</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// or</span>\nMessage<span class=\"token punctuation\">.</span><span class=\"token function\">success</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    title<span class=\"token punctuation\">:</span> <span class=\"token string\">&apos;message content&apos;</span><span class=\"token punctuation\">,</span>\n    duration<span class=\"token punctuation\">:</span> <span class=\"token number\">1000</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><!-- api-extra-end -->\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><p><code>Description</code>: This component needs to be used in conjunction with other components to be prompted. Refer to the above <code>accessibility</code></p>\n"}