{"title":"自动完成","meta":{"title":"自动完成","description":"\n<p><code>AutoComplete</code> 继承了 <code>Input</code> 的能力，并在其基础上增加了 autoComplete 的功能。\n对于设置为<code>AutoComplete</code>为off不生效对的情况，可以参考 <a href=\"https://developer.mozilla.org/zh-CN/docs/Web/Security/Securing_your_site/Turning_off_form_autocompletion]\">MDN</a> 中进行设置。</p>\n","order":"9"},"codes":{"jsx":"import { Select } from '@alifd/next';\n\nconst dataSource = [\n    'Lucy King',\n    'Lily King',\n    'Jim Green',\n    {\n        label: 'Chinese',\n        children: [\n            {value: 'Hang Meimei', label: 'Hang Meimei'},\n            'Li Lei',\n            {value: 'Gao Hui', label: 'Gao Hui', disabled: true},\n            'Zhang San',\n            'Li Si',\n            'Wang Wu',\n            {value: 'Zhao Benshan', label: 'Zhao Benshan', disabled: true},\n            'Sun Yang',\n            'Song Shuying'\n        ]\n    },\n    {\n        label: 'Pets',\n        children: [\n            'Poly',\n            'Kitty'\n        ]\n    }\n];\n\nconst onChange = (v) => {\n    console.log(v);\n};\n\nReactDOM.render(<Select.AutoComplete style={{width: 300}} onChange={onChange} dataSource={dataSource} />, mountNode);\n"},"body":"\n\n````jsx\nimport { Select } from '@alifd/next';\n\nconst dataSource = [\n    'Lucy King',\n    'Lily King',\n    'Jim Green',\n    {\n        label: 'Chinese',\n        children: [\n            {value: 'Hang Meimei', label: 'Hang Meimei'},\n            'Li Lei',\n            {value: 'Gao Hui', label: 'Gao Hui', disabled: true},\n            'Zhang San',\n            'Li Si',\n            'Wang Wu',\n            {value: 'Zhao Benshan', label: 'Zhao Benshan', disabled: true},\n            'Sun Yang',\n            'Song Shuying'\n        ]\n    },\n    {\n        label: 'Pets',\n        children: [\n            'Poly',\n            'Kitty'\n        ]\n    }\n];\n\nconst onChange = (v) => {\n    console.log(v);\n};\n\nReactDOM.render(<Select.AutoComplete style={{width: 300}} onChange={onChange} dataSource={dataSource} />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar dataSource = ['Lucy King', 'Lily King', 'Jim Green', {\n    label: 'Chinese',\n    children: [{ value: 'Hang Meimei', label: 'Hang Meimei' }, 'Li Lei', { value: 'Gao Hui', label: 'Gao Hui', disabled: true }, 'Zhang San', 'Li Si', 'Wang Wu', { value: 'Zhao Benshan', label: 'Zhao Benshan', disabled: true }, 'Sun Yang', 'Song Shuying']\n}, {\n    label: 'Pets',\n    children: ['Poly', 'Kitty']\n}];\n\nvar onChange = function onChange(v) {\n    console.log(v);\n};\n\nReactDOM.render(React.createElement(_next.Select.AutoComplete, { style: { width: 300 }, onChange: onChange, dataSource: dataSource }), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token string\">'Lucy King'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'Lily King'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'Jim Green'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Chinese'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Hang Meimei'</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Hang Meimei'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Li Lei'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Gao Hui'</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Gao Hui'</span><span class=\"token punctuation\">,</span> disabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Zhang San'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Li Si'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Wang Wu'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token string\">'Zhao Benshan'</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Zhao Benshan'</span><span class=\"token punctuation\">,</span> disabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Sun Yang'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Song Shuying'</span>\n        <span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Pets'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token string\">'Poly'</span><span class=\"token punctuation\">,</span>\n            <span class=\"token string\">'Kitty'</span>\n        <span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">v</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>v<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.AutoComplete</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>width<span class=\"token punctuation\">:</span> <span class=\"token number\">300</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}