{"title":"选择器","meta":{"title":"选择器","description":"\n<p>演示了 Select 的多种形态.</p>\n","order":"4"},"codes":{"jsx":"import { Select } from '@alifd/next';\n\nconst dataSource = [\n    {value: '10001', label: 'Lucy King'},\n    {value: 10002, label: 'Lily King'},\n    {value: 10003, label: 'Tom Cat', disabled: true},\n    {label: 'Special Group', children: [\n        {value: -1, label: 'FALSE'},\n        {value: 0, label: 'ZERO'}\n    ]}\n];\n\nconst ctrlDataSources = {\n    mode: ['single', 'multiple', 'tag'],\n    size: ['small', 'medium', 'large'],\n    showSearch: [true, false],\n    hasArrow: [true, false],\n    hasBorder: [true, false],\n    hasClear: [true, false]\n};\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            value: null,\n            size: undefined,\n            mode: undefined,\n            hasArrow: undefined,\n            hasBorder: undefined,\n            showSearch: undefined,\n            hasClear: undefined\n        };\n\n        this.handleChange = this.handleChange.bind(this);\n        this.handleCtrlChange = this.handleCtrlChange.bind(this);\n    }\n\n    handleCtrlChange(key, value) {\n        this.setState({[key]: value});\n\n        if (key === 'mode') {\n            this.setState({value: null});\n        }\n    }\n\n    handleChange(value, item) {\n        console.log('handleChange: value: ', value, item);\n        this.setState({value});\n    }\n\n    renderCtrlNodes(state) {\n        const ctrlNodes = [];\n        let k;\n        for (k in ctrlDataSources) {\n            if (ctrlDataSources.hasOwnProperty(k)) {\n                ctrlNodes.push(\n                    <Select key={k}\n                        label={`${k}: `}\n                        value={state[k]}\n                        id={k}\n                        dataSource={ctrlDataSources[k]}\n                        onChange={this.handleCtrlChange.bind(this, k)} />\n                );\n            }\n        }\n\n        return ctrlNodes;\n    }\n\n    render() {\n\n        return (\n            <div className=\"demo-container\">\n                <div className=\"demo-controller\">{this.renderCtrlNodes(this.state)}</div>\n                <Select\n                    {...this.state}\n                    onChange={this.handleChange}\n                    dataSource={dataSource} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-controller {\n    padding: 12px 12px 4px;\n    margin-bottom: 16px;\n    border: 2px dashed #ddd;\n}\n\n.next-select {\n    margin-right: 8px;\n    margin-bottom: 8px;\n}\n"},"body":"\n\n````jsx\nimport { Select } from '@alifd/next';\n\nconst dataSource = [\n    {value: '10001', label: 'Lucy King'},\n    {value: 10002, label: 'Lily King'},\n    {value: 10003, label: 'Tom Cat', disabled: true},\n    {label: 'Special Group', children: [\n        {value: -1, label: 'FALSE'},\n        {value: 0, label: 'ZERO'}\n    ]}\n];\n\nconst ctrlDataSources = {\n    mode: ['single', 'multiple', 'tag'],\n    size: ['small', 'medium', 'large'],\n    showSearch: [true, false],\n    hasArrow: [true, false],\n    hasBorder: [true, false],\n    hasClear: [true, false]\n};\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            value: null,\n            size: undefined,\n            mode: undefined,\n            hasArrow: undefined,\n            hasBorder: undefined,\n            showSearch: undefined,\n            hasClear: undefined\n        };\n\n        this.handleChange = this.handleChange.bind(this);\n        this.handleCtrlChange = this.handleCtrlChange.bind(this);\n    }\n\n    handleCtrlChange(key, value) {\n        this.setState({[key]: value});\n\n        if (key === 'mode') {\n            this.setState({value: null});\n        }\n    }\n\n    handleChange(value, item) {\n        console.log('handleChange: value: ', value, item);\n        this.setState({value});\n    }\n\n    renderCtrlNodes(state) {\n        const ctrlNodes = [];\n        let k;\n        for (k in ctrlDataSources) {\n            if (ctrlDataSources.hasOwnProperty(k)) {\n                ctrlNodes.push(\n                    <Select key={k}\n                        label={`${k}: `}\n                        value={state[k]}\n                        id={k}\n                        dataSource={ctrlDataSources[k]}\n                        onChange={this.handleCtrlChange.bind(this, k)} />\n                );\n            }\n        }\n\n        return ctrlNodes;\n    }\n\n    render() {\n\n        return (\n            <div className=\"demo-container\">\n                <div className=\"demo-controller\">{this.renderCtrlNodes(this.state)}</div>\n                <Select\n                    {...this.state}\n                    onChange={this.handleChange}\n                    dataSource={dataSource} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-controller {\n    padding: 12px 12px 4px;\n    margin-bottom: 16px;\n    border: 2px dashed #ddd;\n}\n\n.next-select {\n    margin-right: 8px;\n    margin-bottom: 8px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar dataSource = [{ value: '10001', label: 'Lucy King' }, { value: 10002, label: 'Lily King' }, { value: 10003, label: 'Tom Cat', disabled: true }, { label: 'Special Group', children: [{ value: -1, label: 'FALSE' }, { value: 0, label: 'ZERO' }] }];\n\nvar ctrlDataSources = {\n    mode: ['single', 'multiple', 'tag'],\n    size: ['small', 'medium', 'large'],\n    showSearch: [true, false],\n    hasArrow: [true, false],\n    hasBorder: [true, false],\n    hasClear: [true, false]\n};\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            value: null,\n            size: undefined,\n            mode: undefined,\n            hasArrow: undefined,\n            hasBorder: undefined,\n            showSearch: undefined,\n            hasClear: undefined\n        };\n\n        _this.handleChange = _this.handleChange.bind(_this);\n        _this.handleCtrlChange = _this.handleCtrlChange.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleCtrlChange',\n        value: function handleCtrlChange(key, value) {\n            this.setState(_defineProperty({}, key, value));\n\n            if (key === 'mode') {\n                this.setState({ value: null });\n            }\n        }\n    }, {\n        key: 'handleChange',\n        value: function handleChange(value, item) {\n            console.log('handleChange: value: ', value, item);\n            this.setState({ value: value });\n        }\n    }, {\n        key: 'renderCtrlNodes',\n        value: function renderCtrlNodes(state) {\n            var ctrlNodes = [];\n            var k = void 0;\n            for (k in ctrlDataSources) {\n                if (ctrlDataSources.hasOwnProperty(k)) {\n                    ctrlNodes.push(React.createElement(_next.Select, { key: k,\n                        label: k + ': ',\n                        value: state[k],\n                        id: k,\n                        dataSource: ctrlDataSources[k],\n                        onChange: this.handleCtrlChange.bind(this, k) }));\n                }\n            }\n\n            return ctrlNodes;\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n\n            return React.createElement(\n                'div',\n                { className: 'demo-container' },\n                React.createElement(\n                    'div',\n                    { className: 'demo-controller' },\n                    this.renderCtrlNodes(this.state)\n                ),\n                React.createElement(_next.Select, _extends({}, this.state, {\n                    onChange: this.handleChange,\n                    dataSource: dataSource }))\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token string\">'10001'</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Lucy King'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token number\">10002</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Lily King'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token number\">10003</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Tom Cat'</span><span class=\"token punctuation\">,</span> disabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Special Group'</span><span class=\"token punctuation\">,</span> children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span>\n        <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'FALSE'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token number\">0</span><span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">:</span> <span class=\"token string\">'ZERO'</span><span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> ctrlDataSources <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    mode<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'single'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'multiple'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'tag'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    size<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'small'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'medium'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'large'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    showSearch<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    hasArrow<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    hasBorder<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    hasClear<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            value<span class=\"token punctuation\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span>\n            size<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">,</span>\n            mode<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">,</span>\n            hasArrow<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">,</span>\n            hasBorder<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">,</span>\n            showSearch<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">,</span>\n            hasClear<span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleCtrlChange <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleCtrlChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleCtrlChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">key<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span>key<span class=\"token punctuation\">]</span><span class=\"token punctuation\">:</span> value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>key <span class=\"token operator\">===</span> <span class=\"token string\">'mode'</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> item</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'handleChange: value: '</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">,</span> item<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">renderCtrlNodes</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">state</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> ctrlNodes <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">let</span> k<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">for</span> <span class=\"token punctuation\">(</span>k <span class=\"token keyword\">in</span> ctrlDataSources<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>ctrlDataSources<span class=\"token punctuation\">.</span><span class=\"token function\">hasOwnProperty</span><span class=\"token punctuation\">(</span>k<span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                ctrlNodes<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>\n                    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>k<span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">label</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>k<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">: </span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>state<span class=\"token punctuation\">[</span>k<span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">id</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>k<span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ctrlDataSources<span class=\"token punctuation\">[</span>k<span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleCtrlChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> k<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n                <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span>\n\n        <span class=\"token keyword\">return</span> ctrlNodes<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>demo-container<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>demo-controller<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderCtrlNodes</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span>\n                    <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">this</span><span class=\"token punctuation\">.</span><span class=\"token attr-value\">state</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-controller {\n    padding: 12px 12px 4px;\n    margin-bottom: 16px;\n    border: 2px dashed #ddd;\n}\n\n.next-select {\n    margin-right: 8px;\n    margin-bottom: 8px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.demo-container</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">background-color</span><span class=\"token punctuation\">:</span> #F8F8F8<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.demo-controller</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 12px 12px 4px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 2px dashed #ddd<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.next-select</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-right</span><span class=\"token punctuation\">:</span> 8px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 8px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}