{"title":"自定义样式","meta":{"title":"自定义样式","description":"\n<p>在 Tab 已有样式的基础上，可以通过 <code>contentStyle</code>, <code>contentClassName</code> 等属性自由的进行样式自定义。</p>\n","order":"9"},"codes":{"jsx":"import { Tab } from '@alifd/next';\n\nconst panes = [\n    {\n        tab: 'Todo Tasks',\n        key: 0\n    },\n    {\n        tab: 'Finished Tasks',\n        key: 1\n    },\n    {\n        tab: 'Unread Messages',\n        key: 2\n    },\n    {\n        tab: 'Past Messages',\n        key: 3\n    },\n    {\n        tab: 'All Messages',\n        key: 4\n    }\n];\n\nconst detachedContentStyle = {\n    border: '1px solid #DCDEE3',\n    padding: '20px'\n};\n\nReactDOM.render(<div className=\"fusion-demo\">\n    <div className=\"demo-item-title\">Customize with contentStyle or contentClassName</div>\n    <Tab shape=\"wrapped\" contentStyle={detachedContentStyle}>\n        {\n            panes.map(pane => <Tab.Item title={pane.tab} key={pane.key}>{pane.tab}</Tab.Item>)\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Setting className and style in Tab.Item</div>\n    <Tab shape=\"wrapped\" navStyle={{ background: '#DEE8FF' }}>\n        {\n            panes.map(pane => {\n                return (<Tab.Item\n                    title={pane.tab}\n                    key={pane.key}\n                    className=\"custom-tab-item\"\n                    style={{background: '#FFF'}}>{pane.tab}</Tab.Item>\n                );\n            })\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Tabs with equal width</div>\n    <Tab shape=\"capsule\">\n        {\n            panes.map(pane => <Tab.Item title={pane.tab} key={pane.key} className=\"justify-tabs-tab\">{pane.tab}</Tab.Item>)\n        }\n    </Tab>\n</div>\n    , mountNode);\n","css":".fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.custom-content {\n    padding: 15px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n\n.custom-tab-item {\n    margin-right: -1px !important;\n}\n\n.justify-tabs-tab {\n    width: 140px;\n    text-align: center;\n}\n"},"body":"\n\n````jsx\nimport { Tab } from '@alifd/next';\n\nconst panes = [\n    {\n        tab: 'Todo Tasks',\n        key: 0\n    },\n    {\n        tab: 'Finished Tasks',\n        key: 1\n    },\n    {\n        tab: 'Unread Messages',\n        key: 2\n    },\n    {\n        tab: 'Past Messages',\n        key: 3\n    },\n    {\n        tab: 'All Messages',\n        key: 4\n    }\n];\n\nconst detachedContentStyle = {\n    border: '1px solid #DCDEE3',\n    padding: '20px'\n};\n\nReactDOM.render(<div className=\"fusion-demo\">\n    <div className=\"demo-item-title\">Customize with contentStyle or contentClassName</div>\n    <Tab shape=\"wrapped\" contentStyle={detachedContentStyle}>\n        {\n            panes.map(pane => <Tab.Item title={pane.tab} key={pane.key}>{pane.tab}</Tab.Item>)\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Setting className and style in Tab.Item</div>\n    <Tab shape=\"wrapped\" navStyle={{ background: '#DEE8FF' }}>\n        {\n            panes.map(pane => {\n                return (<Tab.Item\n                    title={pane.tab}\n                    key={pane.key}\n                    className=\"custom-tab-item\"\n                    style={{background: '#FFF'}}>{pane.tab}</Tab.Item>\n                );\n            })\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Tabs with equal width</div>\n    <Tab shape=\"capsule\">\n        {\n            panes.map(pane => <Tab.Item title={pane.tab} key={pane.key} className=\"justify-tabs-tab\">{pane.tab}</Tab.Item>)\n        }\n    </Tab>\n</div>\n    , mountNode);\n````\n\n````css\n.fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.custom-content {\n    padding: 15px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n\n.custom-tab-item {\n    margin-right: -1px !important;\n}\n\n.justify-tabs-tab {\n    width: 140px;\n    text-align: center;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar panes = [{\n    tab: 'Todo Tasks',\n    key: 0\n}, {\n    tab: 'Finished Tasks',\n    key: 1\n}, {\n    tab: 'Unread Messages',\n    key: 2\n}, {\n    tab: 'Past Messages',\n    key: 3\n}, {\n    tab: 'All Messages',\n    key: 4\n}];\n\nvar detachedContentStyle = {\n    border: '1px solid #DCDEE3',\n    padding: '20px'\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    { className: 'fusion-demo' },\n    React.createElement(\n        'div',\n        { className: 'demo-item-title' },\n        'Customize with contentStyle or contentClassName'\n    ),\n    React.createElement(\n        _next.Tab,\n        { shape: 'wrapped', contentStyle: detachedContentStyle },\n        panes.map(function (pane) {\n            return React.createElement(\n                _next.Tab.Item,\n                { title: pane.tab, key: pane.key },\n                pane.tab\n            );\n        })\n    ),\n    React.createElement(\n        'div',\n        { className: 'demo-item-title' },\n        'Setting className and style in Tab.Item'\n    ),\n    React.createElement(\n        _next.Tab,\n        { shape: 'wrapped', navStyle: { background: '#DEE8FF' } },\n        panes.map(function (pane) {\n            return React.createElement(\n                _next.Tab.Item,\n                {\n                    title: pane.tab,\n                    key: pane.key,\n                    className: 'custom-tab-item',\n                    style: { background: '#FFF' } },\n                pane.tab\n            );\n        })\n    ),\n    React.createElement(\n        'div',\n        { className: 'demo-item-title' },\n        'Tabs with equal width'\n    ),\n    React.createElement(\n        _next.Tab,\n        { shape: 'capsule' },\n        panes.map(function (pane) {\n            return React.createElement(\n                _next.Tab.Item,\n                { title: pane.tab, key: pane.key, className: 'justify-tabs-tab' },\n                pane.tab\n            );\n        })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tab <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> panes <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>\n        tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Todo Tasks'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token number\">0</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Finished Tasks'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token number\">1</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Unread Messages'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token number\">2</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'Past Messages'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token number\">3</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>\n        tab<span class=\"token punctuation\">:</span> <span class=\"token string\">'All Messages'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token punctuation\">:</span> <span class=\"token number\">4</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> detachedContentStyle <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    border<span class=\"token punctuation\">:</span> <span class=\"token string\">'1px solid #DCDEE3'</span><span class=\"token punctuation\">,</span>\n    padding<span class=\"token punctuation\">:</span> <span class=\"token string\">'20px'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>fusion-demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>demo-item-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Customize with contentStyle or contentClassName</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>wrapped<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">contentStyle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>detachedContentStyle<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span>\n            panes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">pane</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>demo-item-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Setting className and style in Tab.Item</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>wrapped<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">navStyle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> background<span class=\"token punctuation\">:</span> <span class=\"token string\">'#DEE8FF'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span>\n            panes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">pane</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span>\n                    <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>custom-tab-item<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>background<span class=\"token punctuation\">:</span> <span class=\"token string\">'#FFF'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>demo-item-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Tabs with equal width</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>capsule<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span>\n            panes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">pane</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>justify-tabs-tab<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>pane<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.custom-content {\n    padding: 15px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n\n.custom-tab-item {\n    margin-right: -1px !important;\n}\n\n.justify-tabs-tab {\n    width: 140px;\n    text-align: center;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.fusion-demo .demo-item-title</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 8px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 14px 0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.custom-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 15px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.next-tabs-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.custom-tab-item</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-right</span><span class=\"token punctuation\">:</span> -1px <span class=\"token important\">!important</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.justify-tabs-tab</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 140px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}