{"title":"Editable tab","meta":{"title":"Editable tab","description":"\n<p>Create an editable tab.</p>\n","order":"12"},"codes":{"jsx":"import { Tab, Input } from '@alifd/next';\n\nclass EditableTabPane extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            tabTitle: props.defaultTitle,\n            editable: false\n        };\n    }\n\n    componentWillReceiveProps(nextProps) {\n        if (nextProps.defaultTitle !== this.state.tabTitle) {\n            this.setState({\n                tabTitle: nextProps.defaultTitle\n            });\n        }\n    }\n\n    onKeyDown = (e) => {\n        const { keyCode } = e;\n        // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n        if (keyCode > 36 && keyCode < 41) {\n            e.stopPropagation();\n        }\n    }\n\n    onBlur = (e) => {\n        this.setState({\n            editable: false,\n            tabTitle: e.target.value\n        });\n    }\n\n    onDblClick = () => {\n        this.setState({\n            editable: true\n        });\n    }\n\n    render() {\n        const { tabTitle, editable } = this.state;\n        if (editable) {\n            return <Input defaultValue={tabTitle} onKeyDown={this.onKeyDown} onBlur={this.onBlur} />;\n        }\n        return <span onDoubleClick={this.onDblClick}>{tabTitle}</span>;\n    }\n}\n\nconst tabRender = (key, { title }) => (<div key={key} className=\"editable-tab-wrapper\">\n    <EditableTabPane defaultTitle={title} />\n</div>);\n\nReactDOM.render(<Tab defaultActiveKey=\"1\" tabRender={tabRender}>\n    <Tab.Item title=\"Double Click To Edit Me\" key=\"1\">Editable tab</Tab.Item>\n    <Tab.Item title=\"Double Click To Edit Me\" key=\"2\">Editable tab</Tab.Item>\n</Tab>, mountNode);\n","css":".editable-tab-wrapper {\n    padding: 10px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n\n"},"body":"\n````jsx\nimport { Tab, Input } from '@alifd/next';\n\nclass EditableTabPane extends React.Component {\n\n    constructor(props) {\n        super(props);\n        this.state = {\n            tabTitle: props.defaultTitle,\n            editable: false\n        };\n    }\n\n    componentWillReceiveProps(nextProps) {\n        if (nextProps.defaultTitle !== this.state.tabTitle) {\n            this.setState({\n                tabTitle: nextProps.defaultTitle\n            });\n        }\n    }\n\n    onKeyDown = (e) => {\n        const { keyCode } = e;\n        // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n        if (keyCode > 36 && keyCode < 41) {\n            e.stopPropagation();\n        }\n    }\n\n    onBlur = (e) => {\n        this.setState({\n            editable: false,\n            tabTitle: e.target.value\n        });\n    }\n\n    onDblClick = () => {\n        this.setState({\n            editable: true\n        });\n    }\n\n    render() {\n        const { tabTitle, editable } = this.state;\n        if (editable) {\n            return <Input defaultValue={tabTitle} onKeyDown={this.onKeyDown} onBlur={this.onBlur} />;\n        }\n        return <span onDoubleClick={this.onDblClick}>{tabTitle}</span>;\n    }\n}\n\nconst tabRender = (key, { title }) => (<div key={key} className=\"editable-tab-wrapper\">\n    <EditableTabPane defaultTitle={title} />\n</div>);\n\nReactDOM.render(<Tab defaultActiveKey=\"1\" tabRender={tabRender}>\n    <Tab.Item title=\"Double Click To Edit Me\" key=\"1\">Editable tab</Tab.Item>\n    <Tab.Item title=\"Double Click To Edit Me\" key=\"2\">Editable tab</Tab.Item>\n</Tab>, mountNode);\n````\n\n````css\n.editable-tab-wrapper {\n    padding: 10px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n\n````","html":"<script>(function(){\"use strict\";\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require(\"@alifd/next\");\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar EditableTabPane = function (_React$Component) {\n    _inherits(EditableTabPane, _React$Component);\n\n    function EditableTabPane(props) {\n        _classCallCheck(this, EditableTabPane);\n\n        var _this = _possibleConstructorReturn(this, (EditableTabPane.__proto__ || Object.getPrototypeOf(EditableTabPane)).call(this, props));\n\n        _this.onKeyDown = function (e) {\n            var keyCode = e.keyCode;\n            // Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight\n\n            if (keyCode > 36 && keyCode < 41) {\n                e.stopPropagation();\n            }\n        };\n\n        _this.onBlur = function (e) {\n            _this.setState({\n                editable: false,\n                tabTitle: e.target.value\n            });\n        };\n\n        _this.onDblClick = function () {\n            _this.setState({\n                editable: true\n            });\n        };\n\n        _this.state = {\n            tabTitle: props.defaultTitle,\n            editable: false\n        };\n        return _this;\n    }\n\n    _createClass(EditableTabPane, [{\n        key: \"componentWillReceiveProps\",\n        value: function componentWillReceiveProps(nextProps) {\n            if (nextProps.defaultTitle !== this.state.tabTitle) {\n                this.setState({\n                    tabTitle: nextProps.defaultTitle\n                });\n            }\n        }\n    }, {\n        key: \"render\",\n        value: function render() {\n            var _state = this.state,\n                tabTitle = _state.tabTitle,\n                editable = _state.editable;\n\n            if (editable) {\n                return React.createElement(_next.Input, { defaultValue: tabTitle, onKeyDown: this.onKeyDown, onBlur: this.onBlur });\n            }\n            return React.createElement(\n                \"span\",\n                { onDoubleClick: this.onDblClick },\n                tabTitle\n            );\n        }\n    }]);\n\n    return EditableTabPane;\n}(React.Component);\n\nvar tabRender = function tabRender(key, _ref) {\n    var title = _ref.title;\n    return React.createElement(\n        \"div\",\n        { key: key, className: \"editable-tab-wrapper\" },\n        React.createElement(EditableTabPane, { defaultTitle: title })\n    );\n};\n\nReactDOM.render(React.createElement(\n    _next.Tab,\n    { defaultActiveKey: \"1\", tabRender: tabRender },\n    React.createElement(\n        _next.Tab.Item,\n        { title: \"Double Click To Edit Me\", key: \"1\" },\n        \"Editable tab\"\n    ),\n    React.createElement(\n        _next.Tab.Item,\n        { title: \"Double Click To Edit Me\", key: \"2\" },\n        \"Editable tab\"\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tab<span class=\"token punctuation\">,</span> Input <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">EditableTabPane</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            tabTitle<span class=\"token punctuation\">:</span> props<span class=\"token punctuation\">.</span>defaultTitle<span class=\"token punctuation\">,</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">componentWillReceiveProps</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">nextProps</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>nextProps<span class=\"token punctuation\">.</span>defaultTitle <span class=\"token operator\">!==</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>tabTitle<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                tabTitle<span class=\"token punctuation\">:</span> nextProps<span class=\"token punctuation\">.</span>defaultTitle\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onKeyDown</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> keyCode <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> e<span class=\"token punctuation\">;</span>\n        <span class=\"token comment\">// Stop bubble up the events of keyUp, keyDown, keyLeft, and keyRight</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>keyCode <span class=\"token operator\">></span> <span class=\"token number\">36</span> <span class=\"token operator\">&amp;&amp;</span> keyCode <span class=\"token operator\">&lt;</span> <span class=\"token number\">41</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            e<span class=\"token punctuation\">.</span><span class=\"token function\">stopPropagation</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onBlur</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            tabTitle<span class=\"token punctuation\">:</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">.</span>value\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onDblClick</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            editable<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> tabTitle<span class=\"token punctuation\">,</span> editable <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>editable<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>tabTitle<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onKeyDown</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onKeyDown<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onBlur</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onBlur<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">onDoubleClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onDblClick<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>tabTitle<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">tabRender</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">key<span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span> title <span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>key<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>editable-tab-wrapper<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">EditableTabPane</span></span> <span class=\"token attr-name\">defaultTitle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>title<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">defaultActiveKey</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">tabRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>tabRender<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Double Click To Edit Me<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Editable tab</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Double Click To Edit Me<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Editable tab</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.editable-tab-wrapper {\n    padding: 10px;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.editable-tab-wrapper</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.next-tabs-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n</code></pre></div>"}