{"title":"Expandable - Complex","meta":{"title":"Expandable - Complex","description":"\n<p>You can render expanded row by <code>expandedRowRender</code>, but will contain complex components.</p>\n","order":"6"},"codes":{"jsx":"import { Table, Button } from '@alifd/next';\n/*eslint-disable react/prop-types, react/no-multi-comp*/\nclass ExpandedApp extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: this.props.dataSource\n        };\n    }\n    load() {\n        let {dataSource} = this.state;\n        dataSource = dataSource.concat(dataSource);\n        this.setState({dataSource});\n    }\n    render() {\n        const style = {\n            borderTop: '1px solid #eee',\n            textAlign: 'center',\n            background: '#f8f8f8',\n            lineHeight: '28px'\n        };\n        return (\n            <div style={{marginTop: 10}}>\n                <Table dataSource={this.state.dataSource} hasHeader={false} hasBorder={false}>\n                    <Table.Column title=\"Title\" dataIndex=\"title\"/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\" width={200}/>\n                </Table>\n                <p style={style}\n                    onClick={this.load.bind(this)}>{this.props.index}: Load more data. </p>\n            </div>\n        );\n    }\n}\n\nconst dataSource = () => {\n        const result = [];\n        for (let i = 0; i < 5; i++) {\n            result.push({\n                title: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`,\n                id: 100306660940 + i,\n                time: 2000 + i,\n                children: [{\n                    title: `Sub title for Quotation ${3 + i}`,\n                    time: 2000 + i\n                }, {\n                    title: `Sub2 title for Quotation ${3 + i}`,\n                    time: 2000 + i\n                }]\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a>Remove({record.id})</a>;\n    },\n    expandedRowRender = (record, index) => {\n        const children = record.children;\n        return <ExpandedApp dataSource={children} index={index}/>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: dataSource(),\n            hasBorder: false,\n            openRowKeys: []\n        };\n    }\n    onSort(dataIndex, order) {\n        const dataSource = this.state.dataSource.sort(function(a, b) {\n            const result = a[dataIndex] - b[dataIndex];\n            return (order === 'asc') ? (result > 0 ? 1 : -1) : (result > 0 ? -1 : 1);\n        });\n        this.setState({\n            dataSource\n        });\n    }\n    disabledExpandedCol() {\n        this.setState({\n            getExpandedColProps: (record, index) => {\n                console.log(index);\n                if (index === 3) {\n                    return {\n                        disabled: true\n                    };\n                }\n            }\n        });\n    }\n    toggleCol() {\n        this.setState({\n            hasExpandedRowCtrl: false\n        });\n    }\n    onRowOpen(openRowKeys) {\n        this.setState({ openRowKeys});\n    }\n    toggleExpand(record) {\n        const key = record.id,\n            { openRowKeys } = this.state,\n            index = openRowKeys.indexOf(key);\n        if (index > -1) {\n            openRowKeys.splice(index, 1);\n        } else {\n            openRowKeys.push(key);\n        }\n        this.setState({\n            openRowKeys: openRowKeys\n        });\n    }\n    rowProps(record, index) {\n        console.log('rowProps', record, index);\n        return {className: `next-myclass-${index}`};\n    }\n    render() {\n        const renderTitle = (value, index, record) => {\n            return <div>{value}<span onClick={this.toggleExpand.bind(this, record)}>index:{index} +++++</span></div>;\n        };\n        return (\n            <span>\n                <p> <Button onClick={this.disabledExpandedCol.bind(this)}> disable fourth row </Button> &nbsp;\n                    <Button onClick={this.toggleCol.bind(this)}> hide + </Button></p>\n                <Table dataSource={this.state.dataSource}\n                    expandedIndexSimulate\n                    isZebra={this.state.isZebra}\n                    hasBorder={this.state.hasBorder}\n                    onSort={this.onSort.bind(this)}\n                    expandedRowRender={expandedRowRender}\n                    expandedRowIndent={[1, 1]}\n                    openRowKeys={this.state.openRowKeys}\n                    getExpandedColProps={this.state.getExpandedColProps}\n                    hasExpandedRowCtrl={this.state.hasExpandedRowCtrl}\n                    onRowOpen={this.onRowOpen.bind(this)}\n                    rowProps={this.rowProps.bind(this)}\n                >\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" cell={renderTitle}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\" width={200}/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n            </span>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n````jsx\nimport { Table, Button } from '@alifd/next';\n/*eslint-disable react/prop-types, react/no-multi-comp*/\nclass ExpandedApp extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: this.props.dataSource\n        };\n    }\n    load() {\n        let {dataSource} = this.state;\n        dataSource = dataSource.concat(dataSource);\n        this.setState({dataSource});\n    }\n    render() {\n        const style = {\n            borderTop: '1px solid #eee',\n            textAlign: 'center',\n            background: '#f8f8f8',\n            lineHeight: '28px'\n        };\n        return (\n            <div style={{marginTop: 10}}>\n                <Table dataSource={this.state.dataSource} hasHeader={false} hasBorder={false}>\n                    <Table.Column title=\"Title\" dataIndex=\"title\"/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\" width={200}/>\n                </Table>\n                <p style={style}\n                    onClick={this.load.bind(this)}>{this.props.index}: Load more data. </p>\n            </div>\n        );\n    }\n}\n\nconst dataSource = () => {\n        const result = [];\n        for (let i = 0; i < 5; i++) {\n            result.push({\n                title: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`,\n                id: 100306660940 + i,\n                time: 2000 + i,\n                children: [{\n                    title: `Sub title for Quotation ${3 + i}`,\n                    time: 2000 + i\n                }, {\n                    title: `Sub2 title for Quotation ${3 + i}`,\n                    time: 2000 + i\n                }]\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a>Remove({record.id})</a>;\n    },\n    expandedRowRender = (record, index) => {\n        const children = record.children;\n        return <ExpandedApp dataSource={children} index={index}/>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: dataSource(),\n            hasBorder: false,\n            openRowKeys: []\n        };\n    }\n    onSort(dataIndex, order) {\n        const dataSource = this.state.dataSource.sort(function(a, b) {\n            const result = a[dataIndex] - b[dataIndex];\n            return (order === 'asc') ? (result > 0 ? 1 : -1) : (result > 0 ? -1 : 1);\n        });\n        this.setState({\n            dataSource\n        });\n    }\n    disabledExpandedCol() {\n        this.setState({\n            getExpandedColProps: (record, index) => {\n                console.log(index);\n                if (index === 3) {\n                    return {\n                        disabled: true\n                    };\n                }\n            }\n        });\n    }\n    toggleCol() {\n        this.setState({\n            hasExpandedRowCtrl: false\n        });\n    }\n    onRowOpen(openRowKeys) {\n        this.setState({ openRowKeys});\n    }\n    toggleExpand(record) {\n        const key = record.id,\n            { openRowKeys } = this.state,\n            index = openRowKeys.indexOf(key);\n        if (index > -1) {\n            openRowKeys.splice(index, 1);\n        } else {\n            openRowKeys.push(key);\n        }\n        this.setState({\n            openRowKeys: openRowKeys\n        });\n    }\n    rowProps(record, index) {\n        console.log('rowProps', record, index);\n        return {className: `next-myclass-${index}`};\n    }\n    render() {\n        const renderTitle = (value, index, record) => {\n            return <div>{value}<span onClick={this.toggleExpand.bind(this, record)}>index:{index} +++++</span></div>;\n        };\n        return (\n            <span>\n                <p> <Button onClick={this.disabledExpandedCol.bind(this)}> disable fourth row </Button> &nbsp;\n                    <Button onClick={this.toggleCol.bind(this)}> hide + </Button></p>\n                <Table dataSource={this.state.dataSource}\n                    expandedIndexSimulate\n                    isZebra={this.state.isZebra}\n                    hasBorder={this.state.hasBorder}\n                    onSort={this.onSort.bind(this)}\n                    expandedRowRender={expandedRowRender}\n                    expandedRowIndent={[1, 1]}\n                    openRowKeys={this.state.openRowKeys}\n                    getExpandedColProps={this.state.getExpandedColProps}\n                    hasExpandedRowCtrl={this.state.hasExpandedRowCtrl}\n                    onRowOpen={this.onRowOpen.bind(this)}\n                    rowProps={this.rowProps.bind(this)}\n                >\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" cell={renderTitle}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\" width={200}/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n            </span>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\n/*eslint-disable react/prop-types, react/no-multi-comp*/\nvar ExpandedApp = function (_React$Component) {\n    _inherits(ExpandedApp, _React$Component);\n\n    function ExpandedApp(props) {\n        _classCallCheck(this, ExpandedApp);\n\n        var _this = _possibleConstructorReturn(this, (ExpandedApp.__proto__ || Object.getPrototypeOf(ExpandedApp)).call(this, props));\n\n        _this.state = {\n            dataSource: _this.props.dataSource\n        };\n        return _this;\n    }\n\n    _createClass(ExpandedApp, [{\n        key: 'load',\n        value: function load() {\n            var dataSource = this.state.dataSource;\n\n            dataSource = dataSource.concat(dataSource);\n            this.setState({ dataSource: dataSource });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var style = {\n                borderTop: '1px solid #eee',\n                textAlign: 'center',\n                background: '#f8f8f8',\n                lineHeight: '28px'\n            };\n            return React.createElement(\n                'div',\n                { style: { marginTop: 10 } },\n                React.createElement(\n                    _next.Table,\n                    { dataSource: this.state.dataSource, hasHeader: false, hasBorder: false },\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title' }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time', width: 200 })\n                ),\n                React.createElement(\n                    'p',\n                    { style: style,\n                        onClick: this.load.bind(this) },\n                    this.props.index,\n                    ': Load more data. '\n                )\n            );\n        }\n    }]);\n\n    return ExpandedApp;\n}(React.Component);\n\nvar dataSource = function dataSource() {\n    var result = [];\n    for (var i = 0; i < 5; i++) {\n        result.push({\n            title: 'Quotation for 1PCS Nano ' + (3 + i) + '.0 controller compatible',\n            id: 100306660940 + i,\n            time: 2000 + i,\n            children: [{\n                title: 'Sub title for Quotation ' + (3 + i),\n                time: 2000 + i\n            }, {\n                title: 'Sub2 title for Quotation ' + (3 + i),\n                time: 2000 + i\n            }]\n        });\n    }\n    return result;\n},\n    _render = function _render(value, index, record) {\n    return React.createElement(\n        'a',\n        null,\n        'Remove(',\n        record.id,\n        ')'\n    );\n},\n    expandedRowRender = function expandedRowRender(record, index) {\n    var children = record.children;\n    return React.createElement(ExpandedApp, { dataSource: children, index: index });\n};\n\nvar App = function (_React$Component2) {\n    _inherits(App, _React$Component2);\n\n    function App(props) {\n        _classCallCheck(this, App);\n\n        var _this2 = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));\n\n        _this2.state = {\n            dataSource: dataSource(),\n            hasBorder: false,\n            openRowKeys: []\n        };\n        return _this2;\n    }\n\n    _createClass(App, [{\n        key: 'onSort',\n        value: function onSort(dataIndex, order) {\n            var dataSource = this.state.dataSource.sort(function (a, b) {\n                var result = a[dataIndex] - b[dataIndex];\n                return order === 'asc' ? result > 0 ? 1 : -1 : result > 0 ? -1 : 1;\n            });\n            this.setState({\n                dataSource: dataSource\n            });\n        }\n    }, {\n        key: 'disabledExpandedCol',\n        value: function disabledExpandedCol() {\n            this.setState({\n                getExpandedColProps: function getExpandedColProps(record, index) {\n                    console.log(index);\n                    if (index === 3) {\n                        return {\n                            disabled: true\n                        };\n                    }\n                }\n            });\n        }\n    }, {\n        key: 'toggleCol',\n        value: function toggleCol() {\n            this.setState({\n                hasExpandedRowCtrl: false\n            });\n        }\n    }, {\n        key: 'onRowOpen',\n        value: function onRowOpen(openRowKeys) {\n            this.setState({ openRowKeys: openRowKeys });\n        }\n    }, {\n        key: 'toggleExpand',\n        value: function toggleExpand(record) {\n            var key = record.id,\n                openRowKeys = this.state.openRowKeys,\n                index = openRowKeys.indexOf(key);\n\n            if (index > -1) {\n                openRowKeys.splice(index, 1);\n            } else {\n                openRowKeys.push(key);\n            }\n            this.setState({\n                openRowKeys: openRowKeys\n            });\n        }\n    }, {\n        key: 'rowProps',\n        value: function rowProps(record, index) {\n            console.log('rowProps', record, index);\n            return { className: 'next-myclass-' + index };\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _this3 = this;\n\n            var renderTitle = function renderTitle(value, index, record) {\n                return React.createElement(\n                    'div',\n                    null,\n                    value,\n                    React.createElement(\n                        'span',\n                        { onClick: _this3.toggleExpand.bind(_this3, record) },\n                        'index:',\n                        index,\n                        ' +++++'\n                    )\n                );\n            };\n            return React.createElement(\n                'span',\n                null,\n                React.createElement(\n                    'p',\n                    null,\n                    ' ',\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.disabledExpandedCol.bind(this) },\n                        ' disable fourth row '\n                    ),\n                    ' \\xA0',\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.toggleCol.bind(this) },\n                        ' hide + '\n                    )\n                ),\n                React.createElement(\n                    _next.Table,\n                    { dataSource: this.state.dataSource,\n                        expandedIndexSimulate: true,\n                        isZebra: this.state.isZebra,\n                        hasBorder: this.state.hasBorder,\n                        onSort: this.onSort.bind(this),\n                        expandedRowRender: expandedRowRender,\n                        expandedRowIndent: [1, 1],\n                        openRowKeys: this.state.openRowKeys,\n                        getExpandedColProps: this.state.getExpandedColProps,\n                        hasExpandedRowCtrl: this.state.hasExpandedRowCtrl,\n                        onRowOpen: this.onRowOpen.bind(this),\n                        rowProps: this.rowProps.bind(this)\n                    },\n                    React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id', sortable: true }),\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title', cell: renderTitle }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time', width: 200 }),\n                    React.createElement(_next.Table.Column, { cell: _render, width: 200 })\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Table<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token comment\">/*eslint-disable react/prop-types, react/no-multi-comp*/</span>\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">ExpandedApp</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token punctuation\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>dataSource\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">load</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">let</span> <span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        dataSource <span class=\"token operator\">=</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">concat</span><span class=\"token punctuation\">(</span>dataSource<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> style <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            borderTop<span class=\"token punctuation\">:</span> <span class=\"token string\">'1px solid #eee'</span><span class=\"token punctuation\">,</span>\n            textAlign<span class=\"token punctuation\">:</span> <span class=\"token string\">'center'</span><span class=\"token punctuation\">,</span>\n            background<span class=\"token punctuation\">:</span> <span class=\"token string\">'#f8f8f8'</span><span class=\"token punctuation\">,</span>\n            lineHeight<span class=\"token punctuation\">:</span> <span class=\"token string\">'28px'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginTop<span class=\"token punctuation\">:</span> <span class=\"token number\">10</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">hasHeader</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">hasBorder</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>style<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">load</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>index<span class=\"token punctuation\">}</span><span class=\"token plain-text\">: Load more data. </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">dataSource</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">for</span> <span class=\"token punctuation\">(</span><span class=\"token keyword\">let</span> i <span class=\"token operator\">=</span> <span class=\"token number\">0</span><span class=\"token punctuation\">;</span> i <span class=\"token operator\">&lt;</span> <span class=\"token number\">5</span><span class=\"token punctuation\">;</span> i<span class=\"token operator\">++</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            result<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                title<span class=\"token punctuation\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Quotation for 1PCS Nano </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">.0 controller compatible</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n                id<span class=\"token punctuation\">:</span> <span class=\"token number\">100306660940</span> <span class=\"token operator\">+</span> i<span class=\"token punctuation\">,</span>\n                time<span class=\"token punctuation\">:</span> <span class=\"token number\">2000</span> <span class=\"token operator\">+</span> i<span class=\"token punctuation\">,</span>\n                children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                    title<span class=\"token punctuation\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Sub title for Quotation </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n                    time<span class=\"token punctuation\">:</span> <span class=\"token number\">2000</span> <span class=\"token operator\">+</span> i\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                    title<span class=\"token punctuation\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Sub2 title for Quotation </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n                    time<span class=\"token punctuation\">:</span> <span class=\"token number\">2000</span> <span class=\"token operator\">+</span> i\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> result<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token function-variable function\">render</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Remove(</span><span class=\"token punctuation\">{</span>record<span class=\"token punctuation\">.</span>id<span class=\"token punctuation\">}</span><span class=\"token plain-text\">)</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token function-variable function\">expandedRowRender</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">record<span class=\"token punctuation\">,</span> index</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> children <span class=\"token operator\">=</span> record<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">ExpandedApp</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>children<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">index</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>index<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token punctuation\">:</span> <span class=\"token function\">dataSource</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n            hasBorder<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n            openRowKeys<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">onSort</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">dataIndex<span class=\"token punctuation\">,</span> order</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">sort</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">function</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">a<span class=\"token punctuation\">,</span> b</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> a<span class=\"token punctuation\">[</span>dataIndex<span class=\"token punctuation\">]</span> <span class=\"token operator\">-</span> b<span class=\"token punctuation\">[</span>dataIndex<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>order <span class=\"token operator\">===</span> <span class=\"token string\">'asc'</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">?</span> <span class=\"token punctuation\">(</span>result <span class=\"token operator\">></span> <span class=\"token number\">0</span> <span class=\"token operator\">?</span> <span class=\"token number\">1</span> <span class=\"token punctuation\">:</span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">:</span> <span class=\"token punctuation\">(</span>result <span class=\"token operator\">></span> <span class=\"token number\">0</span> <span class=\"token operator\">?</span> <span class=\"token operator\">-</span><span class=\"token number\">1</span> <span class=\"token punctuation\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            dataSource\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">disabledExpandedCol</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            <span class=\"token function-variable function\">getExpandedColProps</span><span class=\"token punctuation\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">record<span class=\"token punctuation\">,</span> index</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>index<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>index <span class=\"token operator\">===</span> <span class=\"token number\">3</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                        disabled<span class=\"token punctuation\">:</span> <span class=\"token boolean\">true</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">toggleCol</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            hasExpandedRowCtrl<span class=\"token punctuation\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">onRowOpen</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">openRowKeys</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> openRowKeys<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">toggleExpand</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">record</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> key <span class=\"token operator\">=</span> record<span class=\"token punctuation\">.</span>id<span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span> openRowKeys <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">,</span>\n            index <span class=\"token operator\">=</span> openRowKeys<span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>key<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>index <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            openRowKeys<span class=\"token punctuation\">.</span><span class=\"token function\">splice</span><span class=\"token punctuation\">(</span>index<span class=\"token punctuation\">,</span> <span class=\"token number\">1</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n            openRowKeys<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>key<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            openRowKeys<span class=\"token punctuation\">:</span> openRowKeys\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">rowProps</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">record<span class=\"token punctuation\">,</span> index</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'rowProps'</span><span class=\"token punctuation\">,</span> record<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>className<span class=\"token punctuation\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">next-myclass-</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>index<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token function-variable function\">renderTitle</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">toggleExpand</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> record<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">index:</span><span class=\"token punctuation\">{</span>index<span class=\"token punctuation\">}</span><span class=\"token plain-text\"> +++++</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">disabledExpandedCol</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> disable fourth row </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> &amp;nbsp;\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">toggleCol</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> hide + </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">expandedIndexSimulate</span>\n                    <span class=\"token attr-name\">isZebra</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>isZebra<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">hasBorder</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>hasBorder<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onSort</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onSort</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">expandedRowRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>expandedRowRender<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">expandedRowIndent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token number\">1</span><span class=\"token punctuation\">,</span> <span class=\"token number\">1</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">openRowKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>openRowKeys<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">getExpandedColProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>getExpandedColProps<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">hasExpandedRowCtrl</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>hasExpandedRowCtrl<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onRowOpen</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onRowOpen</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">rowProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">rowProps</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">sortable</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>renderTitle<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>render<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}