{"title":"排序与过滤","meta":{"title":"排序与过滤","description":"\n<p>示例演示了排序和过滤的特性</p>\n","order":"3"},"codes":{"jsx":"import { Table, Button, Icon } from '@alifd/next';\n\nconst dataSource = () => {\n        const result = [];\n        for (let i = 0; i < 5; i++) {\n            result.push({\n                title: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`,\n                id: 100306660940 + i,\n                time: 2000 + i\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a href=\"javascript:;\">Remove({record.id})</a>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: dataSource(),\n            filterMode: 'multiple'\n        };\n    }\n    onSort(dataIndex, order) {\n        const dataSource = this.state.dataSource.sort(function(a, b) {\n            const result = a[dataIndex] - b[dataIndex];\n            return (order === 'asc') ? (result > 0 ? 1 : -1) : (result > 0 ? -1 : 1);\n        });\n        this.setState({\n            dataSource,\n            sort: {id: order}\n        });\n    }\n    onFilter(filterParams) {\n        let ds = dataSource();\n        Object.keys(filterParams).forEach(key => {\n            const selectedKeys = filterParams[key].selectedKeys;\n            if (selectedKeys.length) {\n                ds = ds.filter(record => {\n                    return selectedKeys.some(value => {\n                        return record[key].indexOf(value) > -1;\n                    });\n                });\n            }\n        });\n        this.setState({dataSource: ds});\n    }\n    changeMode() {\n        this.setState({\n            filterMode: 'single'\n        });\n    }\n    render() {\n        const filters = [{\n            label: 'Nano 3',\n            value: 3\n        }, {\n            label: 'Nano 678',\n            value: 678,\n            children: [{\n                label: 'Nano 67',\n                value: 67,\n                children: [{\n                    label: 'Nano 6',\n                    value: 6\n                }, {\n                    label: 'Nano 7',\n                    value: 7\n                }]\n            }, {\n                label: 'Nano 8',\n                value: 8\n            }]\n        }, {\n            label: 'Other',\n            value: 'other',\n            children: [{\n                label: 'Nano 4',\n                value: 4\n            }, {\n                label: 'Nano 5',\n                value: 5\n            }]\n        }];\n        return (\n            <div>\n                <p><Button onClick={this.changeMode.bind(this)}>Change filter menu to single select</Button></p>\n                <Table dataSource={this.state.dataSource}\n                    onSort={this.onSort.bind(this)}\n                    onFilter={this.onFilter.bind(this)}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" filters={filters} filterMode={this.state.filterMode}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n                <br />\n                Customize sortIcons:\n                <br />\n                <Table dataSource={[]}\n                    onSort={() => {}}\n                    sortIcons={{\n                        desc: <Icon style={{top: '6px', left: '4px'}} type={'arrow-down'} size=\"small\" />,\n                        asc: <Icon style={{top: '-6px', left: '4px'}} type={'arrow-up'} size=\"small\" />\n                    }}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" filters={filters} filterMode={this.state.filterMode}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                </Table>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n\n````jsx\nimport { Table, Button, Icon } from '@alifd/next';\n\nconst dataSource = () => {\n        const result = [];\n        for (let i = 0; i < 5; i++) {\n            result.push({\n                title: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`,\n                id: 100306660940 + i,\n                time: 2000 + i\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a href=\"javascript:;\">Remove({record.id})</a>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            dataSource: dataSource(),\n            filterMode: 'multiple'\n        };\n    }\n    onSort(dataIndex, order) {\n        const dataSource = this.state.dataSource.sort(function(a, b) {\n            const result = a[dataIndex] - b[dataIndex];\n            return (order === 'asc') ? (result > 0 ? 1 : -1) : (result > 0 ? -1 : 1);\n        });\n        this.setState({\n            dataSource,\n            sort: {id: order}\n        });\n    }\n    onFilter(filterParams) {\n        let ds = dataSource();\n        Object.keys(filterParams).forEach(key => {\n            const selectedKeys = filterParams[key].selectedKeys;\n            if (selectedKeys.length) {\n                ds = ds.filter(record => {\n                    return selectedKeys.some(value => {\n                        return record[key].indexOf(value) > -1;\n                    });\n                });\n            }\n        });\n        this.setState({dataSource: ds});\n    }\n    changeMode() {\n        this.setState({\n            filterMode: 'single'\n        });\n    }\n    render() {\n        const filters = [{\n            label: 'Nano 3',\n            value: 3\n        }, {\n            label: 'Nano 678',\n            value: 678,\n            children: [{\n                label: 'Nano 67',\n                value: 67,\n                children: [{\n                    label: 'Nano 6',\n                    value: 6\n                }, {\n                    label: 'Nano 7',\n                    value: 7\n                }]\n            }, {\n                label: 'Nano 8',\n                value: 8\n            }]\n        }, {\n            label: 'Other',\n            value: 'other',\n            children: [{\n                label: 'Nano 4',\n                value: 4\n            }, {\n                label: 'Nano 5',\n                value: 5\n            }]\n        }];\n        return (\n            <div>\n                <p><Button onClick={this.changeMode.bind(this)}>Change filter menu to single select</Button></p>\n                <Table dataSource={this.state.dataSource}\n                    onSort={this.onSort.bind(this)}\n                    onFilter={this.onFilter.bind(this)}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" filters={filters} filterMode={this.state.filterMode}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n                <br />\n                Customize sortIcons:\n                <br />\n                <Table dataSource={[]}\n                    onSort={() => {}}\n                    sortIcons={{\n                        desc: <Icon style={{top: '6px', left: '4px'}} type={'arrow-down'} size=\"small\" />,\n                        asc: <Icon style={{top: '-6px', left: '4px'}} type={'arrow-up'} size=\"small\" />\n                    }}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\" sortable/>\n                    <Table.Column title=\"Title\" dataIndex=\"title\" filters={filters} filterMode={this.state.filterMode}/>\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                </Table>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar dataSource = function dataSource() {\n    var result = [];\n    for (var i = 0; i < 5; i++) {\n        result.push({\n            title: 'Quotation for 1PCS Nano ' + (3 + i) + '.0 controller compatible',\n            id: 100306660940 + i,\n            time: 2000 + i\n        });\n    }\n    return result;\n},\n    _render = function _render(value, index, record) {\n    return React.createElement(\n        'a',\n        { href: 'javascript:;' },\n        'Remove(',\n        record.id,\n        ')'\n    );\n};\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App(props) {\n        _classCallCheck(this, App);\n\n        var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));\n\n        _this.state = {\n            dataSource: dataSource(),\n            filterMode: 'multiple'\n        };\n        return _this;\n    }\n\n    _createClass(App, [{\n        key: 'onSort',\n        value: function onSort(dataIndex, order) {\n            var dataSource = this.state.dataSource.sort(function (a, b) {\n                var result = a[dataIndex] - b[dataIndex];\n                return order === 'asc' ? result > 0 ? 1 : -1 : result > 0 ? -1 : 1;\n            });\n            this.setState({\n                dataSource: dataSource,\n                sort: { id: order }\n            });\n        }\n    }, {\n        key: 'onFilter',\n        value: function onFilter(filterParams) {\n            var ds = dataSource();\n            Object.keys(filterParams).forEach(function (key) {\n                var selectedKeys = filterParams[key].selectedKeys;\n                if (selectedKeys.length) {\n                    ds = ds.filter(function (record) {\n                        return selectedKeys.some(function (value) {\n                            return record[key].indexOf(value) > -1;\n                        });\n                    });\n                }\n            });\n            this.setState({ dataSource: ds });\n        }\n    }, {\n        key: 'changeMode',\n        value: function changeMode() {\n            this.setState({\n                filterMode: 'single'\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var filters = [{\n                label: 'Nano 3',\n                value: 3\n            }, {\n                label: 'Nano 678',\n                value: 678,\n                children: [{\n                    label: 'Nano 67',\n                    value: 67,\n                    children: [{\n                        label: 'Nano 6',\n                        value: 6\n                    }, {\n                        label: 'Nano 7',\n                        value: 7\n                    }]\n                }, {\n                    label: 'Nano 8',\n                    value: 8\n                }]\n            }, {\n                label: 'Other',\n                value: 'other',\n                children: [{\n                    label: 'Nano 4',\n                    value: 4\n                }, {\n                    label: 'Nano 5',\n                    value: 5\n                }]\n            }];\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'p',\n                    null,\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.changeMode.bind(this) },\n                        'Change filter menu to single select'\n                    )\n                ),\n                React.createElement(\n                    _next.Table,\n                    { dataSource: this.state.dataSource,\n                        onSort: this.onSort.bind(this),\n                        onFilter: this.onFilter.bind(this) },\n                    React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id', sortable: true }),\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title', filters: filters, filterMode: this.state.filterMode }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time' }),\n                    React.createElement(_next.Table.Column, { cell: _render, width: 200 })\n                ),\n                React.createElement('br', null),\n                'Customize sortIcons:',\n                React.createElement('br', null),\n                React.createElement(\n                    _next.Table,\n                    { dataSource: [],\n                        onSort: function onSort() {},\n                        sortIcons: {\n                            desc: React.createElement(_next.Icon, { style: { top: '6px', left: '4px' }, type: 'arrow-down', size: 'small' }),\n                            asc: React.createElement(_next.Icon, { style: { top: '-6px', left: '4px' }, type: 'arrow-up', size: 'small' })\n                        } },\n                    React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id', sortable: true }),\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title', filters: filters, filterMode: this.state.filterMode }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time' })\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Table<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">dataSource</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">for</span> <span class=\"token punctuation\">(</span><span class=\"token keyword\">let</span> i <span class=\"token operator\">=</span> <span class=\"token number\">0</span><span class=\"token punctuation\">;</span> i <span class=\"token operator\">&lt;</span> <span class=\"token number\">5</span><span class=\"token punctuation\">;</span> i<span class=\"token operator\">++</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            result<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                title<span class=\"token punctuation\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Quotation for 1PCS Nano </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">.0 controller compatible</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n                id<span class=\"token punctuation\">:</span> <span class=\"token number\">100306660940</span> <span class=\"token operator\">+</span> i<span class=\"token punctuation\">,</span>\n                time<span class=\"token punctuation\">:</span> <span class=\"token number\">2000</span> <span class=\"token operator\">+</span> i\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> result<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token function-variable function\">render</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>javascript:;<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Remove(</span><span class=\"token punctuation\">{</span>record<span class=\"token punctuation\">.</span>id<span class=\"token punctuation\">}</span><span class=\"token plain-text\">)</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token punctuation\">:</span> <span class=\"token function\">dataSource</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n            filterMode<span class=\"token punctuation\">:</span> <span class=\"token string\">'multiple'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">onSort</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">dataIndex<span class=\"token punctuation\">,</span> order</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">sort</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">function</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">a<span class=\"token punctuation\">,</span> b</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> a<span class=\"token punctuation\">[</span>dataIndex<span class=\"token punctuation\">]</span> <span class=\"token operator\">-</span> b<span class=\"token punctuation\">[</span>dataIndex<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>order <span class=\"token operator\">===</span> <span class=\"token string\">'asc'</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">?</span> <span class=\"token punctuation\">(</span>result <span class=\"token operator\">></span> <span class=\"token number\">0</span> <span class=\"token operator\">?</span> <span class=\"token number\">1</span> <span class=\"token punctuation\">:</span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">:</span> <span class=\"token punctuation\">(</span>result <span class=\"token operator\">></span> <span class=\"token number\">0</span> <span class=\"token operator\">?</span> <span class=\"token operator\">-</span><span class=\"token number\">1</span> <span class=\"token punctuation\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token punctuation\">,</span>\n            sort<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">{</span>id<span class=\"token punctuation\">:</span> order<span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">onFilter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">filterParams</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">let</span> ds <span class=\"token operator\">=</span> <span class=\"token function\">dataSource</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        Object<span class=\"token punctuation\">.</span><span class=\"token function\">keys</span><span class=\"token punctuation\">(</span>filterParams<span class=\"token punctuation\">)</span><span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">key</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">const</span> selectedKeys <span class=\"token operator\">=</span> filterParams<span class=\"token punctuation\">[</span>key<span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span>selectedKeys<span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>selectedKeys<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                ds <span class=\"token operator\">=</span> ds<span class=\"token punctuation\">.</span><span class=\"token function\">filter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">record</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">return</span> selectedKeys<span class=\"token punctuation\">.</span><span class=\"token function\">some</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                        <span class=\"token keyword\">return</span> record<span class=\"token punctuation\">[</span>key<span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>value<span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">:</span> ds<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">changeMode</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            filterMode<span class=\"token punctuation\">:</span> <span class=\"token string\">'single'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> filters <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 3'</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> <span class=\"token number\">3</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 678'</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> <span class=\"token number\">678</span><span class=\"token punctuation\">,</span>\n            children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 67'</span><span class=\"token punctuation\">,</span>\n                value<span class=\"token punctuation\">:</span> <span class=\"token number\">67</span><span class=\"token punctuation\">,</span>\n                children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                    label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 6'</span><span class=\"token punctuation\">,</span>\n                    value<span class=\"token punctuation\">:</span> <span class=\"token number\">6</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                    label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 7'</span><span class=\"token punctuation\">,</span>\n                    value<span class=\"token punctuation\">:</span> <span class=\"token number\">7</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 8'</span><span class=\"token punctuation\">,</span>\n                value<span class=\"token punctuation\">:</span> <span class=\"token number\">8</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n            label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Other'</span><span class=\"token punctuation\">,</span>\n            value<span class=\"token punctuation\">:</span> <span class=\"token string\">'other'</span><span class=\"token punctuation\">,</span>\n            children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 4'</span><span class=\"token punctuation\">,</span>\n                value<span class=\"token punctuation\">:</span> <span class=\"token number\">4</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Nano 5'</span><span class=\"token punctuation\">,</span>\n                value<span class=\"token punctuation\">:</span> <span class=\"token number\">5</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">changeMode</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Change filter menu to single select</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onSort</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onSort</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onFilter</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onFilter</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">sortable</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">filters</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>filters<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">filterMode</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>filterMode<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>render<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                Customize sortIcons:\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                &lt;Table dataSource=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                    onSort=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                    sortIcons=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>\n                        desc<span class=\"token punctuation\">:</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>top<span class=\"token punctuation\">:</span> <span class=\"token string\">'6px'</span><span class=\"token punctuation\">,</span> left<span class=\"token punctuation\">:</span> <span class=\"token string\">'4px'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'arrow-down'</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>small<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span>\n                        asc<span class=\"token punctuation\">:</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>top<span class=\"token punctuation\">:</span> <span class=\"token string\">'-6px'</span><span class=\"token punctuation\">,</span> left<span class=\"token punctuation\">:</span> <span class=\"token string\">'4px'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'arrow-up'</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>small<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">>\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">sortable</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">filters</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>filters<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">filterMode</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>filterMode<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}