{"title":"Colorful Tag","meta":{"title":"Colorful Tag","description":"\n<p>you can set custom color for <code>Tag</code> by adding <code>color</code> properity when it&#39;s neither <code>closable</code> nor <code>selectable</code> mode</p>\n","order":"1"},"codes":{"jsx":"import { Tag, Icon } from '@alifd/next';\n\nconst { Group: TagGroup } = Tag;\n\nconst presetColors = ['blue', 'green', 'orange', 'red', 'turquoise', 'yellow'];\n// set custom color with hex value, do not use color keywords\nconst customColos = ['#f50', '#2db7f5', '#87d068', '#108ee9'];\n\nReactDOM.render(\n    <div className=\"tag-list\">\n        <h4>presets</h4>\n        <TagGroup>\n            {presetColors.map(color => (\n                <Tag key={`p_n_${color}`} type=\"normal\" color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n\n        <TagGroup>\n            {presetColors.map(color => (\n                <Tag key={`p_p_${color}`} type=\"primary\" color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n\n        <h4>custom colors</h4>\n\n        <TagGroup>\n            {customColos.map(color => (\n                <Tag key={`c_${color}`} color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n    </div>,\n    mountNode\n);\n"},"body":"\n```jsx\nimport { Tag, Icon } from '@alifd/next';\n\nconst { Group: TagGroup } = Tag;\n\nconst presetColors = ['blue', 'green', 'orange', 'red', 'turquoise', 'yellow'];\n// set custom color with hex value, do not use color keywords\nconst customColos = ['#f50', '#2db7f5', '#87d068', '#108ee9'];\n\nReactDOM.render(\n    <div className=\"tag-list\">\n        <h4>presets</h4>\n        <TagGroup>\n            {presetColors.map(color => (\n                <Tag key={`p_n_${color}`} type=\"normal\" color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n\n        <TagGroup>\n            {presetColors.map(color => (\n                <Tag key={`p_p_${color}`} type=\"primary\" color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n\n        <h4>custom colors</h4>\n\n        <TagGroup>\n            {customColos.map(color => (\n                <Tag key={`c_${color}`} color={color}>\n                    {color}\n                </Tag>\n            ))}\n        </TagGroup>\n    </div>,\n    mountNode\n);\n```","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar TagGroup = _next.Tag.Group;\n\n\nvar presetColors = ['blue', 'green', 'orange', 'red', 'turquoise', 'yellow'];\n// set custom color with hex value, do not use color keywords\nvar customColos = ['#f50', '#2db7f5', '#87d068', '#108ee9'];\n\nReactDOM.render(React.createElement(\n    'div',\n    { className: 'tag-list' },\n    React.createElement(\n        'h4',\n        null,\n        'presets'\n    ),\n    React.createElement(\n        TagGroup,\n        null,\n        presetColors.map(function (color) {\n            return React.createElement(\n                _next.Tag,\n                { key: 'p_n_' + color, type: 'normal', color: color },\n                color\n            );\n        })\n    ),\n    React.createElement(\n        TagGroup,\n        null,\n        presetColors.map(function (color) {\n            return React.createElement(\n                _next.Tag,\n                { key: 'p_p_' + color, type: 'primary', color: color },\n                color\n            );\n        })\n    ),\n    React.createElement(\n        'h4',\n        null,\n        'custom colors'\n    ),\n    React.createElement(\n        TagGroup,\n        null,\n        customColos.map(function (color) {\n            return React.createElement(\n                _next.Tag,\n                { key: 'c_' + color, color: color },\n                color\n            );\n        })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tag<span class=\"token punctuation\">,</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> Group<span class=\"token punctuation\">:</span> TagGroup <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Tag<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> presetColors <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'blue'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'green'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'orange'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'red'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'turquoise'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'yellow'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n<span class=\"token comment\">// set custom color with hex value, do not use color keywords</span>\n<span class=\"token keyword\">const</span> customColos <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'#f50'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'#2db7f5'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'#87d068'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'#108ee9'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>tag-list<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">presets</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>presetColors<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">color</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tag</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">p_n_</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>color<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>normal<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tag</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>presetColors<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">color</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tag</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">p_p_</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>color<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tag</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">custom colors</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>customColos<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">color</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tag</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">c_</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>color<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">color</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span>color<span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tag</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}