{"title":"Selectable Tag","meta":{"title":"Selectable Tag","description":"\n<p>SelectableTag inherit from Tag, so the attributes like type、size、animation and so on, can be used the same to Tag 。</p>\n"},"codes":{"jsx":"import { Tag } from '@alifd/next';\n\nconst {Group: TagGroup, Selectable: SelectableTag} = Tag;\nconst dataSource = ['selectable tag', 'I like orange', 'small tag', 'disabled', 'disabled & checked'];\n\nclass Demo extends React.Component {\n    state = {\n        value: ['I like orange', 'disabled & checked'],\n        singleValue: 'selectable tag'\n    };\n\n    handleChange(name, checked) {\n        const {value} = this.state;\n        const next = checked ? [...value, name] : value.filter(n => n !== name);\n\n        this.setState({value: next});\n    }\n\n    handleChangeSingle(name, checked) {\n        const {singleValue} = this.state;\n        const next = checked ? name : '';\n\n        this.setState({singleValue: next});\n    }\n\n    renderTagList(props) {\n        const {value} = this.state;\n\n        return dataSource.map((name, i) => (\n            <SelectableTag key={name}\n                checked={value.indexOf(name) > -1}\n                disabled={i > 2}\n                size={i === 2 ? 'small' : undefined}\n                onChange={this.handleChange.bind(this, name)}\n                {...props}>{name}</SelectableTag>\n        ));\n    }\n\n    renderTagListSingle(props) {\n        const {singleValue} = this.state;\n\n        return dataSource.map((name, i) => (\n            <SelectableTag key={name}\n                checked={singleValue === name}\n                disabled={i > 2}\n                size={i === 2 ? 'small' : undefined}\n                onChange={this.handleChangeSingle.bind(this, name)}\n                {...props}>{name}</SelectableTag>\n        ));\n    }\n\n    render() {\n        return (\n            <div className=\"tag-list\">\n                <h4>type: 'default'</h4>\n                <TagGroup>{this.renderTagList({type: 'normal'})}</TagGroup>\n                <h4>type: 'primary'</h4>\n                <TagGroup>{this.renderTagList({type: 'primary'})}</TagGroup>\n                <h4>Controlled Tags: Only one selected at a time</h4>\n                <TagGroup>{this.renderTagListSingle({type: 'normal'})}</TagGroup>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { Tag } from '@alifd/next';\n\nconst {Group: TagGroup, Selectable: SelectableTag} = Tag;\nconst dataSource = ['selectable tag', 'I like orange', 'small tag', 'disabled', 'disabled & checked'];\n\nclass Demo extends React.Component {\n    state = {\n        value: ['I like orange', 'disabled & checked'],\n        singleValue: 'selectable tag'\n    };\n\n    handleChange(name, checked) {\n        const {value} = this.state;\n        const next = checked ? [...value, name] : value.filter(n => n !== name);\n\n        this.setState({value: next});\n    }\n\n    handleChangeSingle(name, checked) {\n        const {singleValue} = this.state;\n        const next = checked ? name : '';\n\n        this.setState({singleValue: next});\n    }\n\n    renderTagList(props) {\n        const {value} = this.state;\n\n        return dataSource.map((name, i) => (\n            <SelectableTag key={name}\n                checked={value.indexOf(name) > -1}\n                disabled={i > 2}\n                size={i === 2 ? 'small' : undefined}\n                onChange={this.handleChange.bind(this, name)}\n                {...props}>{name}</SelectableTag>\n        ));\n    }\n\n    renderTagListSingle(props) {\n        const {singleValue} = this.state;\n\n        return dataSource.map((name, i) => (\n            <SelectableTag key={name}\n                checked={singleValue === name}\n                disabled={i > 2}\n                size={i === 2 ? 'small' : undefined}\n                onChange={this.handleChangeSingle.bind(this, name)}\n                {...props}>{name}</SelectableTag>\n        ));\n    }\n\n    render() {\n        return (\n            <div className=\"tag-list\">\n                <h4>type: 'default'</h4>\n                <TagGroup>{this.renderTagList({type: 'normal'})}</TagGroup>\n                <h4>type: 'primary'</h4>\n                <TagGroup>{this.renderTagList({type: 'primary'})}</TagGroup>\n                <h4>Controlled Tags: Only one selected at a time</h4>\n                <TagGroup>{this.renderTagListSingle({type: 'normal'})}</TagGroup>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar TagGroup = _next.Tag.Group,\n    SelectableTag = _next.Tag.Selectable;\n\nvar dataSource = ['selectable tag', 'I like orange', 'small tag', 'disabled', 'disabled & checked'];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            value: ['I like orange', 'disabled & checked'],\n            singleValue: 'selectable tag'\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'handleChange',\n        value: function handleChange(name, checked) {\n            var value = this.state.value;\n\n            var next = checked ? [].concat(_toConsumableArray(value), [name]) : value.filter(function (n) {\n                return n !== name;\n            });\n\n            this.setState({ value: next });\n        }\n    }, {\n        key: 'handleChangeSingle',\n        value: function handleChangeSingle(name, checked) {\n            var singleValue = this.state.singleValue;\n\n            var next = checked ? name : '';\n\n            this.setState({ singleValue: next });\n        }\n    }, {\n        key: 'renderTagList',\n        value: function renderTagList(props) {\n            var _this2 = this;\n\n            var value = this.state.value;\n\n\n            return dataSource.map(function (name, i) {\n                return React.createElement(\n                    SelectableTag,\n                    _extends({ key: name,\n                        checked: value.indexOf(name) > -1,\n                        disabled: i > 2,\n                        size: i === 2 ? 'small' : undefined,\n                        onChange: _this2.handleChange.bind(_this2, name)\n                    }, props),\n                    name\n                );\n            });\n        }\n    }, {\n        key: 'renderTagListSingle',\n        value: function renderTagListSingle(props) {\n            var _this3 = this;\n\n            var singleValue = this.state.singleValue;\n\n\n            return dataSource.map(function (name, i) {\n                return React.createElement(\n                    SelectableTag,\n                    _extends({ key: name,\n                        checked: singleValue === name,\n                        disabled: i > 2,\n                        size: i === 2 ? 'small' : undefined,\n                        onChange: _this3.handleChangeSingle.bind(_this3, name)\n                    }, props),\n                    name\n                );\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                { className: 'tag-list' },\n                React.createElement(\n                    'h4',\n                    null,\n                    'type: \\'default\\''\n                ),\n                React.createElement(\n                    TagGroup,\n                    null,\n                    this.renderTagList({ type: 'normal' })\n                ),\n                React.createElement(\n                    'h4',\n                    null,\n                    'type: \\'primary\\''\n                ),\n                React.createElement(\n                    TagGroup,\n                    null,\n                    this.renderTagList({ type: 'primary' })\n                ),\n                React.createElement(\n                    'h4',\n                    null,\n                    'Controlled Tags: Only one selected at a time'\n                ),\n                React.createElement(\n                    TagGroup,\n                    null,\n                    this.renderTagListSingle({ type: 'normal' })\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tag <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>Group<span class=\"token punctuation\">:</span> TagGroup<span class=\"token punctuation\">,</span> Selectable<span class=\"token punctuation\">:</span> SelectableTag<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Tag<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'selectable tag'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'I like orange'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'small tag'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'disabled'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'disabled &amp; checked'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        value<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'I like orange'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'disabled &amp; checked'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n        singleValue<span class=\"token punctuation\">:</span> <span class=\"token string\">'selectable tag'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">handleChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> checked</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> next <span class=\"token operator\">=</span> checked <span class=\"token operator\">?</span> <span class=\"token punctuation\">[</span><span class=\"token operator\">...</span>value<span class=\"token punctuation\">,</span> name<span class=\"token punctuation\">]</span> <span class=\"token punctuation\">:</span> value<span class=\"token punctuation\">.</span><span class=\"token function\">filter</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">n</span> <span class=\"token operator\">=></span> n <span class=\"token operator\">!==</span> name<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">:</span> next<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleChangeSingle</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> checked</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>singleValue<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> next <span class=\"token operator\">=</span> checked <span class=\"token operator\">?</span> name <span class=\"token punctuation\">:</span> <span class=\"token string\">''</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>singleValue<span class=\"token punctuation\">:</span> next<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">renderTagList</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SelectableTag</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">checked</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">.</span><span class=\"token function\">indexOf</span><span class=\"token punctuation\">(</span>name<span class=\"token punctuation\">)</span> <span class=\"token operator\">></span> <span class=\"token operator\">-</span><span class=\"token number\">1</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">disabled</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i <span class=\"token operator\">></span> <span class=\"token number\">2</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">size</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i <span class=\"token operator\">===</span> <span class=\"token number\">2</span> <span class=\"token operator\">?</span> <span class=\"token string\">'small'</span> <span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> name<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SelectableTag</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">renderTagListSingle</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>singleValue<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SelectableTag</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">checked</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>singleValue <span class=\"token operator\">===</span> name<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">disabled</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i <span class=\"token operator\">></span> <span class=\"token number\">2</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">size</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i <span class=\"token operator\">===</span> <span class=\"token number\">2</span> <span class=\"token operator\">?</span> <span class=\"token string\">'small'</span> <span class=\"token punctuation\">:</span> <span class=\"token keyword\">undefined</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleChangeSingle</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> name<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>name<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SelectableTag</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">\"</span>tag-list<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type: 'default'</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderTagList</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">:</span> <span class=\"token string\">'normal'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type: 'primary'</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderTagList</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">:</span> <span class=\"token string\">'primary'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Controlled Tags: Only one selected at a time</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h4</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderTagListSingle</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">:</span> <span class=\"token string\">'normal'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TagGroup</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}