{"title":"自定义面板","meta":{"title":"自定义面板","description":"\n<p>展示自定义面板的用法。</p>\n","order":"7"},"codes":{"jsx":"import { Transfer, Button, Tree } from '@alifd/next';\n\nconst TreeNode = Tree.Node;\n\nconst treeDataSource = [{\n  label: 'Form',\n  key: '2',\n  value: '2',\n  children: [{\n      label: 'Input',\n      key: '4',\n      value: '4'\n  }, {\n      label: 'Field',\n      key: '7',\n      value: '7'\n  }, {\n      label: 'Select',\n      key: '5',\n      value: '5',\n  }]\n}, {\n  label: 'Display',\n  key: '3',\n  value: '3',\n  children: [{\n      label: 'Table',\n      key: '6',\n      value: '6'\n  }]\n}, {\n  label: 'Data',\n  key: '8',\n  value: '8',\n}];\n\nconst transferDataSource = [];\nfunction flatten(list = []) {\n    list.forEach(item => {\n      transferDataSource.push(item);\n      flatten(item.children);\n    });\n}\nflatten(treeDataSource);\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.handleChange = this.handleChange.bind(this);\n        this.state = {\n            selected: []\n        };\n    }\n\n    handleChange(value, data, extra) {\n        this.setState({ selected: value });\n    }\n\n    onCheck(keys, info) {\n    }\n\n    getTreeDataSource(dataSource = [], value) {\n        return dataSource.map(({ children, ...props }) => (\n            <TreeNode {...props} disabled={props.disabled || value.includes(props.value)} key={props.value}>\n                {this.getTreeDataSource(children, value)}\n            </TreeNode>\n        ));\n    }\n\n    render() {\n        const { onChange } = this.props;\n        const { selected } = this.state;\n\n        return (\n            <Transfer\n                dataSource={transferDataSource}\n                listStyle={{ width: '200px', height: '192px' }}\n                onChange={this.handleChange}\n                titles={[<Button key='left' type='primary'>Source</Button>, 'Target']} >\n                { ({ position, onChange, value }) => {\n                    if (position === 'left') {\n                        return (\n                            <Tree checkable editable\n                                style={{padding: '10px'}}\n                                checkedKeys={value}\n                                onCheck={\n                                    (keys, extra) => {\n                                        const newValues=extra.checkedNodes.map(item => item.props.value);\n                                        onChange(position, newValues);\n                                    }\n                                }>\n                                {this.getTreeDataSource(treeDataSource, selected)}\n                            </Tree>\n                        );\n                    }\n                  }\n                }\n            </Transfer>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n\n````jsx\nimport { Transfer, Button, Tree } from '@alifd/next';\n\nconst TreeNode = Tree.Node;\n\nconst treeDataSource = [{\n  label: 'Form',\n  key: '2',\n  value: '2',\n  children: [{\n      label: 'Input',\n      key: '4',\n      value: '4'\n  }, {\n      label: 'Field',\n      key: '7',\n      value: '7'\n  }, {\n      label: 'Select',\n      key: '5',\n      value: '5',\n  }]\n}, {\n  label: 'Display',\n  key: '3',\n  value: '3',\n  children: [{\n      label: 'Table',\n      key: '6',\n      value: '6'\n  }]\n}, {\n  label: 'Data',\n  key: '8',\n  value: '8',\n}];\n\nconst transferDataSource = [];\nfunction flatten(list = []) {\n    list.forEach(item => {\n      transferDataSource.push(item);\n      flatten(item.children);\n    });\n}\nflatten(treeDataSource);\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.handleChange = this.handleChange.bind(this);\n        this.state = {\n            selected: []\n        };\n    }\n\n    handleChange(value, data, extra) {\n        this.setState({ selected: value });\n    }\n\n    onCheck(keys, info) {\n    }\n\n    getTreeDataSource(dataSource = [], value) {\n        return dataSource.map(({ children, ...props }) => (\n            <TreeNode {...props} disabled={props.disabled || value.includes(props.value)} key={props.value}>\n                {this.getTreeDataSource(children, value)}\n            </TreeNode>\n        ));\n    }\n\n    render() {\n        const { onChange } = this.props;\n        const { selected } = this.state;\n\n        return (\n            <Transfer\n                dataSource={transferDataSource}\n                listStyle={{ width: '200px', height: '192px' }}\n                onChange={this.handleChange}\n                titles={[<Button key='left' type='primary'>Source</Button>, 'Target']} >\n                { ({ position, onChange, value }) => {\n                    if (position === 'left') {\n                        return (\n                            <Tree checkable editable\n                                style={{padding: '10px'}}\n                                checkedKeys={value}\n                                onCheck={\n                                    (keys, extra) => {\n                                        const newValues=extra.checkedNodes.map(item => item.props.value);\n                                        onChange(position, newValues);\n                                    }\n                                }>\n                                {this.getTreeDataSource(treeDataSource, selected)}\n                            </Tree>\n                        );\n                    }\n                  }\n                }\n            </Transfer>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar TreeNode = _next.Tree.Node;\n\nvar treeDataSource = [{\n    label: 'Form',\n    key: '2',\n    value: '2',\n    children: [{\n        label: 'Input',\n        key: '4',\n        value: '4'\n    }, {\n        label: 'Field',\n        key: '7',\n        value: '7'\n    }, {\n        label: 'Select',\n        key: '5',\n        value: '5'\n    }]\n}, {\n    label: 'Display',\n    key: '3',\n    value: '3',\n    children: [{\n        label: 'Table',\n        key: '6',\n        value: '6'\n    }]\n}, {\n    label: 'Data',\n    key: '8',\n    value: '8'\n}];\n\nvar transferDataSource = [];\nfunction flatten() {\n    var list = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];\n\n    list.forEach(function (item) {\n        transferDataSource.push(item);\n        flatten(item.children);\n    });\n}\nflatten(treeDataSource);\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.handleChange = _this.handleChange.bind(_this);\n        _this.state = {\n            selected: []\n        };\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleChange',\n        value: function handleChange(value, data, extra) {\n            this.setState({ selected: value });\n        }\n    }, {\n        key: 'onCheck',\n        value: function onCheck(keys, info) {}\n    }, {\n        key: 'getTreeDataSource',\n        value: function getTreeDataSource() {\n            var _this2 = this;\n\n            var dataSource = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];\n            var value = arguments[1];\n\n            return dataSource.map(function (_ref) {\n                var children = _ref.children,\n                    props = _objectWithoutProperties(_ref, ['children']);\n\n                return React.createElement(\n                    TreeNode,\n                    _extends({}, props, { disabled: props.disabled || value.includes(props.value), key: props.value }),\n                    _this2.getTreeDataSource(children, value)\n                );\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _this3 = this;\n\n            var onChange = this.props.onChange;\n            var selected = this.state.selected;\n\n\n            return React.createElement(\n                _next.Transfer,\n                {\n                    dataSource: transferDataSource,\n                    listStyle: { width: '200px', height: '192px' },\n                    onChange: this.handleChange,\n                    titles: [React.createElement(\n                        _next.Button,\n                        { key: 'left', type: 'primary' },\n                        'Source'\n                    ), 'Target'] },\n                function (_ref2) {\n                    var position = _ref2.position,\n                        onChange = _ref2.onChange,\n                        value = _ref2.value;\n\n                    if (position === 'left') {\n                        return React.createElement(\n                            _next.Tree,\n                            { checkable: true, editable: true,\n                                style: { padding: '10px' },\n                                checkedKeys: value,\n                                onCheck: function onCheck(keys, extra) {\n                                    var newValues = extra.checkedNodes.map(function (item) {\n                                        return item.props.value;\n                                    });\n                                    onChange(position, newValues);\n                                } },\n                            _this3.getTreeDataSource(treeDataSource, selected)\n                        );\n                    }\n                }\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Transfer<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Tree <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> TreeNode <span class=\"token operator\">=</span> Tree<span class=\"token punctuation\">.</span>Node<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> treeDataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n  label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Form'</span><span class=\"token punctuation\">,</span>\n  key<span class=\"token punctuation\">:</span> <span class=\"token string\">'2'</span><span class=\"token punctuation\">,</span>\n  value<span class=\"token punctuation\">:</span> <span class=\"token string\">'2'</span><span class=\"token punctuation\">,</span>\n  children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n      label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Input'</span><span class=\"token punctuation\">,</span>\n      key<span class=\"token punctuation\">:</span> <span class=\"token string\">'4'</span><span class=\"token punctuation\">,</span>\n      value<span class=\"token punctuation\">:</span> <span class=\"token string\">'4'</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n      label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Field'</span><span class=\"token punctuation\">,</span>\n      key<span class=\"token punctuation\">:</span> <span class=\"token string\">'7'</span><span class=\"token punctuation\">,</span>\n      value<span class=\"token punctuation\">:</span> <span class=\"token string\">'7'</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n      label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Select'</span><span class=\"token punctuation\">,</span>\n      key<span class=\"token punctuation\">:</span> <span class=\"token string\">'5'</span><span class=\"token punctuation\">,</span>\n      value<span class=\"token punctuation\">:</span> <span class=\"token string\">'5'</span><span class=\"token punctuation\">,</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n  label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Display'</span><span class=\"token punctuation\">,</span>\n  key<span class=\"token punctuation\">:</span> <span class=\"token string\">'3'</span><span class=\"token punctuation\">,</span>\n  value<span class=\"token punctuation\">:</span> <span class=\"token string\">'3'</span><span class=\"token punctuation\">,</span>\n  children<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n      label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Table'</span><span class=\"token punctuation\">,</span>\n      key<span class=\"token punctuation\">:</span> <span class=\"token string\">'6'</span><span class=\"token punctuation\">,</span>\n      value<span class=\"token punctuation\">:</span> <span class=\"token string\">'6'</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n  label<span class=\"token punctuation\">:</span> <span class=\"token string\">'Data'</span><span class=\"token punctuation\">,</span>\n  key<span class=\"token punctuation\">:</span> <span class=\"token string\">'8'</span><span class=\"token punctuation\">,</span>\n  value<span class=\"token punctuation\">:</span> <span class=\"token string\">'8'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> transferDataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">function</span> <span class=\"token function\">flatten</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">list <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span></span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    list<span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n      transferDataSource<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n      <span class=\"token function\">flatten</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token function\">flatten</span><span class=\"token punctuation\">(</span>treeDataSource<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            selected<span class=\"token punctuation\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> data<span class=\"token punctuation\">,</span> extra</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> selected<span class=\"token punctuation\">:</span> value <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onCheck</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">keys<span class=\"token punctuation\">,</span> info</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">getTreeDataSource</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\"><span class=\"token punctuation\">{</span> children<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>props <span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TreeNode</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">disabled</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>props<span class=\"token punctuation\">.</span>disabled <span class=\"token operator\">||</span> value<span class=\"token punctuation\">.</span><span class=\"token function\">includes</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>props<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">getTreeDataSource</span><span class=\"token punctuation\">(</span>children<span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">TreeNode</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> onChange <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> selected <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Transfer</span></span>\n                <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>transferDataSource<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">listStyle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> width<span class=\"token punctuation\">:</span> <span class=\"token string\">'200px'</span><span class=\"token punctuation\">,</span> height<span class=\"token punctuation\">:</span> <span class=\"token string\">'192px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">titles</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">'</span>left<span class=\"token punctuation\">'</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation\">=</span><span class=\"token punctuation\">'</span>primary<span class=\"token punctuation\">'</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Source</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Target'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\"><span class=\"token punctuation\">{</span> position<span class=\"token punctuation\">,</span> onChange<span class=\"token punctuation\">,</span> value <span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>position <span class=\"token operator\">===</span> <span class=\"token string\">'left'</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n                            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tree</span></span> <span class=\"token attr-name\">checkable</span> <span class=\"token attr-name\">editable</span>\n                                <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>padding<span class=\"token punctuation\">:</span> <span class=\"token string\">'10px'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">checkedKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>value<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">onCheck</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>\n                                    <span class=\"token punctuation\">(</span><span class=\"token parameter\">keys<span class=\"token punctuation\">,</span> extra</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                                        <span class=\"token keyword\">const</span> newValues<span class=\"token operator\">=</span>extra<span class=\"token punctuation\">.</span>checkedNodes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> item<span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                                        <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span>position<span class=\"token punctuation\">,</span> newValues<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                                    <span class=\"token punctuation\">}</span>\n                                <span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">getTreeDataSource</span><span class=\"token punctuation\">(</span>treeDataSource<span class=\"token punctuation\">,</span> selected<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tree</span></span><span class=\"token punctuation\">></span></span>\n                        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span>\n                  <span class=\"token punctuation\">}</span>\n                <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Transfer</span></span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}